-- $Name:Last Raider$
-- $Version:0.0.2$

instead_version "1.6.3"

require "proxymenu"
require "hideinv"

dofile ('func.lua');
dofile ('menu.lua');
dofile ('objs.lua');
dofile ('rooms.lua');

game.codepage="UTF-8";
game.forcedsc=true;

status = stat {
	nam = true,
	_count_room = 0,
	_count_launch = 0,
	_air_count = 0,
	_command = '',
	_di = false,
	_dark_room = false,
	_inv_max = 2,
	_inv_count = 0,
};

main = room {
	nam = '«Last Raider»',
	pic = 'pic/LastRaider.gif',
	dsc = function(s)
		map._status = '2';
		return txtem('Автор оригинальной игры «Last Raider» для ZX Spectrum:^(C) KIT, 1995.^^Издатель игры в России: Wredosoft Software Ltd, 1995.^^^Адаптация для INSTEAD:^Андрей В. Серёгин (fazer_1c@mail.ru).^');
	end,
	enter = function(s, from)
		me():disable_all();
	end,
 obj = { vway('1', '{Об игре}^', 'about'), vway('2', '{Карта корабля}^', 'map'), vway('3', '{Авторская презентация}^', 'presentation'), vway('4', '{Начать игру}', 'r_begin') },
};

map = room {
	hideinv = true,
	_status = '2';
	nam = function(s)
		local v = 'Карта корабля. ';
		if s._status == '0' then
			v = v..'Уровень: -2';
		elseif s._status == '1' then
			v = v..'Уровень: -1';
		elseif s._status == '2' then
			v = v..'Уровень: 0';
		elseif s._status == '3' then
			v = v..'Уровень: 1';
		else
			v = v..'Расшифровка. ';
		end
		return v;
	end,
	pic = function(s)
		if s._status ~= '4' then
			return 'pic/map_'..s._status..'.png';
		end
	end,
	dsc = function(s)
		if s._status ~= '4' then
			return true;
		end
		return '  1. Нос корабля^  2. Длинная комната^  3. Левая башенка^  4. Широкий коридор^  5. Правая башенка^  6. Маленькая площадка (темно)^  7. Капитанский мостик^  8. Тупичок^  9. Кладовка^10. Просторный коридор^11. Камбуз^12. Подсобное помещение (темно)^13. Широкая труба^14. Склад оборудования^15. Небольшой коридор (темно)^16. Система вентиляции (темно)^17. Кислородная цистерна (темно)^18. Склад скафандров^19. Воздушная цистерна (темно, нет воздуха)^20. Топливная цистерна (темно)^21. Неширокий коридор (темно)^22. Узкий коридор^23. Технический коридор^24. Короткий коридор^25. Узкий коридор (темно, нет воздуха)^26. Топливная цистерна (темно, нет воздуха)^27. Система перегонки топлива (темно)^28. Широкий проход^29. Главный реактор корабля^30. Маленькое помещение^31. Система перегонки топлива (темно, нет воздуха)^32. Левый двигатель^33. Правый двигатель (темно, нет воздуха)^34. Просторный ангар^35. Небольшая комната^36. Небольшая комната^37. Арсенал корабля^38. Трюм корабля^39. Трюм корабля^40. Корабельный сейф (темно)^41. Панель лифта (нет воздуха)^42. Левый край днища корабля (нет воздуха)^43. Центр днища корабля (нет воздуха)^44. Правый край днища корабля (нет воздуха)^45. Вентиляционная труба (темно)^46. Коридор техобслуживания вентиляции^47. Ржавая труба (нет воздуха)^48. Широкая труба (темно)^49. Край трубы (нет воздуха)^50. Насос охлаждения (темно)^51. Воздухонасос правого двигателя (нет воздуха)^52. Спасательная шлюпка';
	end,
    act = function (s, w)
		if w == '5' then
			walk(from());
		else
			s._status = w;
		end
		return true;
	end,
    obj = { vobj ('0', 'Уровень: {-2} |'), vobj ('1', '{-1} |'), vobj ('2', '{0} | '), vobj ('3', '{1}^^'), vobj ('4', '{Расшифровка.}^^'), vobj ('5', '{Назад . . .}') },
};

about = room {
	nam = 'Об игре . . .',
	dsc = function(s)
		return '      «Last Raider» - это классическая Адвентюра. Картинок в игре нет (рассчитано на ваше воображение), но тем не менее игра интересная и заслуживает потраченного на нее времени. В оригинальной игре использовались 97 слов набираемых с клавиатуры. Из них 37 слов для действия и 60 слов для объектов. При переносе я упростил инетфейс объединив 16 действий в меню ИСПОЛЬЗОВАТЬ. В этой игре существует возможность неправильного применения предмета, после чего игра становится непроходимой. Так-же есть большая вероятность смерти героя, поэтому чаще записывайтесь. Со знанием правильного использования предметов игру можно пройти менее чем за час. ';
	end,
	obj = { vway('1', '{Назад . . .}^^', 'main') },
};

presentation = room {
	nam = 'Авторская презентация',
	dsc = function(s)
		return txtem(txtc('(C) KIT 1995,96')..'^^^'..
		'      2571 год. Окраины Галактики. Где-то между мирами летит мертвый космический корабль, больше похожий на взорвавшееся ведро с мусором. Единственный исправный двигатель прекратил работу уже несколько дней назад.^'..
		'      Мостик, управляющий центр корабля. Воздух здесь так насыщен спиртом, что, пожалуй, мог бы вспыхнуть от случайной искры. На полу валяется космонавт в грязной и истрепанной форме рейнджера. Наверно, он притворился мертвым.^'..
		'      Неожиданно космонавт зашевелился. Спрессованную тишину корабля нарушил громкий треск - это трещала с похмелья его голова. Схватившись за нее, космонавт вскочил и мутными глазами осмотрелся вокруг. Он не помнил этого места. Надо было что-то сделать, но что - он тоже не помнил. Он не помнил вообще ничего. Тупо оглядевшись, космонавт подошел к пульту управления. Раньше над пультом находился огромный обзорный экран, но теперь он был разбит вдребезги. Из пластиковой стены кое-где выпирали провода и помятые блоки микросхем.^'..
		'   . . . На экране появился корабль пеньков. Кибер Стабилизатор ожил и кинулся в командирское кресло. По пути он наступил на ухо лежавшему на полу штурману. Штурман страшно разозлился. Закричав что-то малопонятное, он догнал кибера, схватил, со страшным усилием приподнял и швырнул в обзорный экран. Экран заискрил и разлетелся в мелкие осколки. Кибер со всего маху хряснулся на пульт и принялся беспорядочно дергаться - как видно, был поврежден. Олег приподнялся из кресла, дергая из кобуры бластер, чтобы пристрелить штурмана. Но тут раздался удар, что-то захрустело, и на мостике погас свет. Олег понял, что в них попали. Неожиданно отключилась система гравитации. Корабль начал метаться из стороны в сторону - как видно, кибер задел рычаги управления. Открылся один из встроенных в стены шкафчиков, оттуда полетели, блестевшие в слабом свете индикаторов на пульте, бутылки. Одна из них попала по затылку штурману, другие ударялись в стены и разлетались, как гранаты. Послышался еще один удар и за ним свистяший звук - где-то выходил воздух. А в уголке, в своем кресле, примостился студнеобразный дядич Зяд и дробно, противно хихикал...^'..
		'      Олег потряс головой. Неожиданно всплывшее воспоминание вызвало у него новый острый приступ головной боли. Он напряг мозги, пытаясь впомнить еще хоть что-нибудь. Очень скоро ему показалось, что у него из ушей идет дым. Тогда он перестал думать вообще.^'..
		'      Бездумно сев в кресло, Олег привычным движением нажал на пульте большую желтую кнопку. Слева от него что-то мигнуло. Испуганно оглянувшись, Олег увидел маленький экранчик компьютера. Присмотревшись к экранчику, он увидел на нем надпись "введите код".^'..
		'      Олегу стало интересно. Дотянувшись до небольшой клавиатуры, он немного понажимал на кнопки. На экране появились пять латинских букв, после чего выскочила надпись "код неверен". Олег набрал еще один код - он тоже не подошел. Тогда он встал с кресла и двинулся в сторону корабельного юга.^'..
		'      Выйдя из помещения мостика, космонавт попал в обширный коридор. Его шаги гулко отражались от исцарапанных металлических стен. Кое-где с потолка сыпалась пыль. ^'..
		'      Коридор привел его в небольшой отсек, служивший раньше камбузом. В углу стоял старый камбузный агрегат - сложная штуковина, трансформировавшая какие-то загадочные неорганические ресурсы в еду для космонавтов. Агрегат был сплошь покрыт какой-то мерзкой слизью, но, вроде бы, еще работал.^'..
		'   . . . Олег заказывал себе завтрак. Зяд растекся на полу возле агрегата, что-то делая с грудой мусора, которую он почему-то называл подпространственным передатчиком. Тут из коридора раздались звонкие удары по металлу. В камбуз ворвался кибер, за ним бежал штурман Андрей.^'..
		'      - Стой! Догоню - ведь хуже будет ! - орал Андрей. Испуганный кибер прошмыгнул в другую дверь. Олег ловко подставил штурману подножку, и тот с хрустом вмазался прямо в зядовский передатчик.^'..
		'      - Сколько раз я тебе говорил, не смей гонять киберов ! - со злобой в голосе прошипел Олег. ^'..
		'      - Но, капитан, ведь он сЪел мой бластер !^'..
		'      - Как это сЪел ?!!^'..
		'      - Просто, сэр! Я немного поддал ему бластером по башке, чтобы работал побыстрее, а он схватил его и сЪел !^'..
		'      - Кьяпьитян ! Зьячьемь ви слемяли мьей... - встрял дядич Зяд.^'..
		'      - Заткнись! Еще тут этот ляпсус будет вякать!! - и Олег поддал ногой в слизистый бок Зяда. Тот взвизгнул и отлетел к стене. Олег отвернулся и принялся ругать всякими нехорошими словами Андрея, который встал по стойке "смирно" и лупал на него своими глупыми глазами. Когда он обернулся опять, Зяд куда-то исчез. Агрегат и Олегов завтрак были сплошь в клейкой слизи...^'..
		'      Картина перед глазами Олега рассеялась, оставив после себя только радужные блики. В камбузе никого не было.^'..
		'      Космонавт повернулся и побрел в какой-то пролом в стене. Перебравшись через кучу железок, он увидел на стене ряд скоб, уходящих вверх. Схватившись за первую скобу, он подтянулся и полез к потолку.^'..
		'      Проползши в узкое отверстие, он попал, как ему показалось, в еще один отсек. Но когда он поднял голову, у него возникло странное ощущение - как будто он глядит в бездонный колодец, в котором поселились светлячки. Олег смотрел в безграничную пустоту космоса, от которой его отделяла лишь тонкая прозрачная стенка лучеметной башенки...^'..
		'   . . . Цвейги были уже на корпусе корабля. Они знали, что это "мертвая зона" для систем наводки, а потому безбоязненно ковыряли корпус своими бластерами, пытаясь пробраться внутрь и уничтожить ненавистных им пришельцев. В коридорах был слышен рев сирены и оглушительные вопли Зяда, который пытался связаться с базой. Связи не было уже три месяца. Все знали, что база уничтожена.^'..
		'      Ратан сказал, что все бесполезно, и выстрелил себе в лоб из своей "разрывалки". Ратан не был человеком, он был разумным кибером, примкнувшим к их экипажу где-то на Мионе. Олег часто играл с ним в трехмерные шахматы.^'..
		'      Из дыры в полу показался помятый шлем Андрея. Увидев ошметки, которые остались от Ратана, он на минуту застыл. Потом Андрей схватил с пола тяжелый лучемет, выстрелил в стену и выпрыгнул в открытый космос, стреляя во все стороны...^'..
		'      Олег спустился вниз. Он попытался привести в порядок свои разбегающиеся в разные стороны мозги. Нужно было много чего сделать. И прежде всего - вспомнить, вспомнить как можно больше. Олег повернулся и пошел обратно в сторону коридора...^^'..
		txtc('──────────────────────')..'^^'..
		'      На этом новелла заканчивается, но сама игра только начинается. Чем закончилась эта история вы узнаете, пройдя эту замечательную игру.');
	end,
	obj = { vway('1', '{Назад . . .}^^', 'main') },
};