survival_suit = iobj{
	transportable = true,
	_dress = false,
	nam = function(s)
		if s._dress then
			return 'Скафандр (надет)'
		else
			return 'Измятый скафандр'
		end
	end,
	exam = 'Довольно старый, но все еще крепкий космический скафандр.',
	useit = function(s)
		if s._dress then
			if status._inv_count < status._inv_max then
				status._inv_count = status._inv_count + 1;
				s._dress = false;
				return 'O.K. Вы сняли скафандр.'
			end
			if status._inv_max <= 0 then
				return 'Не выходит! У вас нет рук.'
			end
			return 'Не выходит! Ваши руки заняты.'
		else
			if not have(s) then
				return 'Не получается, сперва надо взять это в руки.'
			end
			status._inv_count = status._inv_count - 1;
			if status._inv_count < 0 then
				status._inv_count = 0
			end
			s._dress = true;
			return 'Отлично! Освободилась рука.'
		end
	end,
	drop = function(s)
		if s._dress then
			return 'Но ведь он надет на вас.', false
		end
		return true
	end,
};
canister = iobj{
	transportable = true,
	_empty = true,
	nam = function(s)
		if s._empty then
			return 'Канистра';
		else
			return 'Полная канистра';
		end
	end,
	exam = function(s)
		local v = 'Канистра из жесткого пластика, объемом примерно литров 15';
		if not s._empty then
			v = v..', наполненная реактивным топливом';
		end
		return v..'. ';
	end,
	useit = function(s)
		if not s._empty then
			s._empty = true,
			objs():add('rocket_fuel');
			return 'Вы вылили из канистры реактивное топливо. ';
		end
		return true, false;
	end,
	useon = function(s, w)
		if not s._empty then
			if w == uranium_pool or w == oil_puddle or w == rocket_fuel then
				return 'Но канистра уже наполнена. ';
			end
		elseif w == rocket_fuel and objs():srch('rocket_fuel') then
			s._empty = false;
			objs():del('rocket_fuel');
			return 'Вы наполнили канистру реактивным топливом. ';
		end
		return false, false;
	end,
};
bottle = iobj{
	transportable = true,
	_empty = true,
	nam = function(s)
		if s._empty then
			return 'Бутылка';
		else
			return 'Бутылка урания';
		end
	end,
	exam = function(s)
		if s._empty then
			return 'Пустая стеклянная бутылка с треснувшим горлышком. На боку вы видите наклейку с надписью "ВОДЬКА СЯПЕТОДСКАЯ MUMMY".';
		else
			return 'Стеклянная бутылка с треснувшим горлышком. Внутри нее налит ураний. На боку вы видите наклейку с надписью "ВОДЬКА СЯПЕТОДСКАЯ MUMMY".';
		end
	end,
	useit = function(s)
		if not s._empty then
			s._empty = true,
			objs():add('uranium_pool');
			return 'Вы вылили ураний из бутылки. ';
		end
		return true, false;
	end,
	useon = function(s, w)
		if not s._empty then
			if w == uranium_pool or w == oil_puddle or w == rocket_fuel then
				return 'Но бутылка уже наполнена. ';
			end
		elseif w == uranium_pool and objs():srch('uranium_pool') then
			s._empty = false;
			objs():del('uranium_pool');
			return 'Вы наполнили бутылку уранием. ';
		end
		return false, false;
	end,
};
vial = iobj{
	transportable = true,
	_empty = true,
	nam = 'Пузырек-масленка',
	exam = function(s)
		local v = 'Пузырек-масленка из мягкого пластика. ';
		if not s._empty then
			v = v..'Внутри него что-то налито. ';
		end
		return v;
	end,
	useit = function(s)
		if not s._empty then
			s._empty = true,
			objs():add('oil_puddle');
			return 'Вы вылили масло из масленки. ';
		end
		return true, false;
	end,
	useon = function(s, w)
		if not s._empty then
			if w == uranium_pool or w == oil_puddle or w == rocket_fuel then
				return 'Но он уже наполнен. ';
			end
		elseif w == oil_puddle and objs():srch('oil_puddle') then
			s._empty = false;
			objs():del('oil_puddle');
			return 'Вы наполнили пузырек машинным маслом. ';
		end
		return false, false;
	end,
};
n_book = iobj{
	transportable = true,
	_opened = false,
	nam = 'Записная книжка',
	exam = function(s)
		if s._opened then
			return 'Запись на первом листе:^ 01.03.71. Роботы начинают отказывать, да и компьютер тоже. Надо было давно их всех перебить. Вчера нашел запас водьки в шлюзе. KAPUT.';
		else
			return 'Тонкая записная книжка. На обложке вы видите надпись: "Капитанская собственность". Даже не открывая ее, можно видеть, что многих страниц не хватает.';
		end
	end,
	useit = function(s)
		if s._opened then
			s._opened = false;
			return 'Вы закрыли книжку. ';
		else
			s._opened = true;
			return 'Вы открыли книжку. ';
		end
	end,
};
sheet = iobj{
	transportable = true,
	nam = 'Листок из книжки',
	exam = 'Маленький измятый листок, вырванный из записной книжицы. На нем написано "2218". ',
};
book = iobj{
	transportable = true,
	_sheet = false,
	_opened = false,
	nam = 'Тонкая книга',
	exam = function(s)
		if s._opened then
			return 'Все страницы из нее вырваны. ';
		else
			return 'На обгоревшей обложке можно разобрать надпись "Приемы борьбы Кюминзо". ';
		end
	end,
	useit = function(s)
		local v;
		if s._opened then
			s._opened = false;
			return 'Вы закрыли книгу. ';
		else
			s._opened = true;
			v = 'Вы открыли книгу. ';
			if not s._sheet then
				s._sheet = true;
				v = v..'Из нее что-то выпало. ';
				objs():add('sheet')
			end
			return v;
		end
	end,
};
mount = iobj{
	transportable = true,
	nam = 'Крепкий ломик',
	exam = 'Небольшой стальной ломик с ручкой, обмотанной изолентой. На подржавевшей поверхности заметны свежие царапины. ',
};
laser = iobj{
	transportable = true,
	nam = 'Небольшой лазер',
	exam = 'Мощный ручной лазер, который может быть использован и как оружие, и как инструмент. на рукоятке вы видите квадратное отверстие. ',
	_battery = false,
	useit = function(s)
		if not have(s) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		if s._battery then
			if not objs():srch('battery') and not have('battery') then
				objs():add('battery');
			end
			s._battery = false;
			return 'Вы вынули батарейку из лазера. ';
		end
	end,
    used = function(s, w)
        if w == battery then
			if not have(s) or not have(w) then
				return 'Не получается, сперва надо взять это в руки. ';
			end
			Delete_obj(w);
			s._battery = true;
			return 'Вы вставили батарейку в лазер. ';
		end
	end,
	useon = function(s, w)
		if not have(s) then
			return 'Из чего, из пальца? ';
		end
		if not s._battery then
			return 'Раздался звук "КЛИК!" ';
		end
		if w == hatch_28_32 then
			if not hatch_28_32._break then
				hatch_28_32._break = true;
				return 'Вы выстрелили в люк. Он оплавился еще больше, но не открылся. ';
			end
		elseif w == wall_36 then
			if not wall_36._break then
				wall_36._break = true;
				r_36._north = 'r_34';
				return 'Участок стены, на который попал луч, зашипел и расплавился. За ним вы видите большое помещение. ';
			end
		elseif w == robot_18 then
			if not robot_18._dead then
				robot_18._dead = true;
				return 'Точным попаданием прямо между глаз вы вывели робота из строя. Мерзко завоняв, он упал на пол. ';
			end
		elseif w == robot_22 then
			if not robot_22._dead then
				return 'Вы выстрелили, но луч прошел ниже, чем было надо. ';
			end
		elseif w == robot_35 then
			if not robot_35._push then
				objs():del('robot_35');
				return 'Метким выстрелом вы прострелили роботу энергоблок. Он тут же взорвался на мелкие кусочки. В воздухе повисла мелкая пыль. ';
			end
		elseif w == robot_40 then
			if not robot_40._dead then
				return 'Вы попали в роботка, но луч отскочил от него. ';
			end
		end
		if w.transportable then
			if have(w) then
				status._inv_max = status._inv_max - 1;
				Delete_obj(w);
				return 'Вы сделали это и заодно отстрелили себе руку. ';
			end
			if objs():srch(w) then
				objs():del(w);
				return 'О.К. Вы сделали это. ';
			end
		end
		return 'Вы выстрелили не целясь и ни во что не попали. ';
	end,
};
fuse = iobj{
	transportable = true,
	nam = 'Предохранитель',
	exam = 'Маленький стеклянный предохранитель ампер этак на семь. ',
};
hamburger = iobj{
	transportable = true,
	nam = 'Круглый гамбургер',
	exam = 'Аппетитный на вид, но абсолютно каменный гамбургер, годный только на использование в качестве метательного оружия. ',
	eat = function(s)
		return 'Вы только поломали себе зубы. ';
	end,
	give = function(s, to)
		if to == robot_15 and not robot_15._push then
			robot_15._push = true;
			r_15._east = 'r_16';
			Delete_obj(s);
			return 'Сделав это, вы тут же отскочили назад. Задумчиво пожевав, робот отъехал от стены, открыв вход в трубу. ';
		end
		return true, false;
	end,
	useon = function(s, to)
		if not have(s) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		if to == hole_15 and not robot_15._push then
			robot_15._push = true;
			r_15._east = 'r_16';
			Delete_obj(s);
			return 'Сделав это, вы тут же отскочили назад. Задумчиво пожевав, робот отъехал от стены, открыв вход в трубу. ';
		elseif to == robot_22 and not robot_22._dead then
			robot_22._dead = true;
			Drop(s);
			objs():add('oil_puddle');
			return 'Бросив гамбургер, вы попали роботу по башке. Дернувшись, он повис, слегка раскачиваясь. На пол закапала какая-то жидкость. ';
		end
	end,
};
diskette = iobj{
	transportable = true,
	nam = 'Небольшая дискета',
	exam = 'Небольшая круглая дискета без футляра, на вид пластиковая, с каким-то блестящим покрытием. ',
};
rocket_fuel = iobj{
	transportable = true,
	nam = 'Ракетное топливо',
	exam = 'Обычное топливо, синтезируемое на основе водорода. ',
};
uranium_pool = iobj{
	transportable = true,
	nam = 'Лужа урания',
	exam = 'Это смертельно опасная радиоактивная жидкость, в данный момент активно испускающая гамма-лучи. ',
};
oil_puddle = iobj{
	transportable = true,
	nam = 'Лужица масла',
	exam = 'Жирное темное масло, с виду машинное. ',
};
crystal = iobj{
	transportable = true,
	nam = 'Кристалл',
	exam = 'Маленький шестигранный кристалл с какими-то вкраплениями внутри. ',
};
cement = iobj{
	transportable = true,
	_used = false,
	nam = function(s)
		if s._used then
			--return 'Пригоршня цемента';
			return 'Горка цемента';
		else
			return 'Горка цемента';
		end
	end,
	exam = 'Обычный цемент, довольно сухой. ',
	useit = function(s)
		if have(s) then
			Delete_obj(s);
			return 'O.K. Цемент рассеялся в мелкую пыль. ';
		end
		return 'Не получается, сперва надо взять это в руки. ';
	end,
	useon = function(s, w)
		if not have(s) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		s._used = true;
		if w == wall_36 and wall_36._break then
			return 'У вас цемента не хватит! ';
		elseif w == crampon_east_43 and not crampon_east_43._cement then
			crampon_east_43._cement = true;
			Delete_obj(s);
			return 'Чуть не улетев в космос, вы зацементировали скобы. ';
		end
		-- return 'Вы попробовали сделать это, но цемент все время улетает наружу. ';
		return 'Вы попытались что-нибудь зацементировать, но цемент от всего отваливается. ';
	end,
};
key = iobj{
	transportable = true,
	nam = 'Плоский ключ',
	exam = 'Маленький ключ с какой-то нечитабельной надписью на кольце. ',
};
pliers = iobj{
	transportable = true,
	nam = 'Плоскогубцы',
	exam = 'Обычные плоскогубцы, все измазанные чем-то черным. ',
};
boomerang = iobj{
	transportable = true,
	nam = 'Бумеранг',
	exam = 'Тяжелый самодельный бумеранг с приделанным внутри моторчиком. Сзади вы замечаете небольшое отверстие. ',
	_battery = true,
	useit = function(s)
		if not have(s) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		if s._battery then
			if not objs():srch('battery') and not have('battery') then
				objs():add('battery');
			end
			s._battery = false;
			return 'Вы вынули батарейку из бумеранга. ';
		end
	end,
    used = function(s, w)
        if w == battery then
			if not have(s) or not have(w) then
				return 'Не получается, сперва надо взять это в руки. ';
			end
			Delete_obj(w);
			s._battery = true;
			return 'Вы вставили батарейку в бумеранг. ';
		end
	end,
	useon = function(s, w)
		if not have(s) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		Drop(s);
		if w == button_34 then
			if s._battery then
				lift_34._enable = true;
				return 'O.K. Вы попали прямо по маленькой кнопочке. ';
			end
			return 'O.K, Но он не долетел. ';
		end
		return 'O.K, Но ничего не произошло.';
	end,
};
match = iobj{
	transportable = true,
	nam = 'Спичечный коробок',
	exam = 'Деревянный спичечный коробок. Внутри него что-то есть. ',
	useit = 'Открыть не получается, он заклеен. ',
	break_ = function(s)
		Delete_obj(s);
		objs():add('battery', here());
		return 'Разломав коробок, вы увидели, как из него что-то выпало. ';
	end,
};
battery = iobj{
	transportable = true,
	nam = 'Батарейка',
	exam = 'Небольшая, но очень мощная батарейка.',
	give = function(s, to)
		if to == robot_35 and not robot_35._push then
			robot_35._push = true;
			Delete_obj('battery');
			objs():add('cement');
			return 'Жадно схватив батарейку, робот тут же съел ее, после чего пошел куда-то, рассыпая вокруг цемент. ';
		end
		return true, false;
	end,
};
m_kart = iobj{
	transportable = true,
	_count = 15;
	nam = 'Магнитная карта',
	exam = 'Вы осмотрели магнитную карточку и видите пластиковую магнитную карточку.',
};
medallion = iobj{
	transportable = true,
	_open = false,
	nam = 'Медальон',
	exam = function(s)
		if s._open then
			return 'В нем вы видите какую-то зеленую рожу. ';
		else
			return 'Довольно длинная стальная цепочка с круглым медальоном. ';
		end
	end,
	useit = function(s)
		if not have(s) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		if s._open then
			s._open = false;
			return 'Вы закрыли медальон. ';
		else
			s._open = true;
			return 'Вы открыли медальон. ';
		end
	end,
};
robot_2 = iobj{
	nam = 'Роботы',
	exam = 'Роботы низшего класса. все они очень сильно помяты и обгорели, но стоящих у дальней стены явно пытались починить. ',
	accept = 'Ему это сейчас не нужно. ',
};
wall_2 = iobj{
	nam = 'Стена',
	exam = function(s)
		panel_2:enable();
		return 'Она покрыта пластиковыми панелями. ';
	end,
};
panel_2 = iobj{
	nam = 'Панели',
	_push = false,
	exam = 'Одна из них немного вдавлена внутрь. ',
	push = function(s)
		if s._push then
			return 'Одна из панелей немного вдавилась в стену. ';
		else
			s._push = true;
			r_2._north = 'r_1';
			return 'Вы надавили на панель в дальнем конце комнаты. Она со скрипом ушла в стену, и вы увидели за ней еще одно маленькое помещение. ';
		end
	end,
}:disable();
screen_3 = iobj{
	nam = 'Обзорный экран',
	_status = 0,
	_count = 0,
	exam = function(s)
		star_3:disable();
		button_yellow_3:enable();
		button_red_3:enable();
		if s._status == 0 then
			return 'Маленький обзорный экранчик, вделанный в стену. Под ним вы видите две кнопки - желтую и красную. ';
		elseif s._status == 1 then
			if s._count == 0 then
				return 'На экране вы видите звезды. ';
			elseif s._count == 1 then
				star_3:enable();
				return 'На экране вы видите красно-желтую звезду. Она довольно близко к вам. ';
			else
				return 'На экране среди звезд, вы видите какой-то продолговатый предмет. ';
			end
		else
			return 'Вы видите только осколки. ';
		end
	end,
};
button_yellow_3 = iobj{
	nam = 'Желтая кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		star_3:disable();
		if objs():srch('screen_3') then
			if screen_3._status == 2 then
				return 'Вы нажали кнопку, и провода, торчащие над ней, слабо заискрили. ';
			elseif screen_3._status == 1 then
				screen_3._count = screen_3._count + 1;
				if screen_3._count > 2 then
					screen_3._count = 0;
				end
				return 'Нажав желтую кнопку, вы заметили, что изображение на экране вздрогнуло. ';
			else
				screen_3._status = 2;
				return 'Вы нажали кнопку, и экранчик над ней тут же взорвался. ';
			end
		else
			return 'O.K, но ничего не произошло.';
		end
	end,
}:disable();
button_red_3 = iobj{
	nam = 'Красная кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		star_3:disable();
		if objs():srch('screen_3') then
			if screen_3._status == 2 then
				return 'Вы нажали кнопку, и провода, торчащие над ней, слабо заискрили. ';
			elseif screen_3._status == 1 then
				screen_3._status = 0;
				return 'Нажав кнопку, вы выключили обзорный экран. ';
			else
				screen_3._status = 1;
				screen_3._count = 0;
				return 'Нажав кнопку, вы включили обзорный экран. На нем видно пространство за обшивкой корабля. ';
			end
		else
			return 'O.K, но ничего не произошло.';
		end
	end,
}:disable();
star_3 = iobj{
	nam = 'Звезда на экране',
	exam = 'Она выглядит довольно похожей на Солнце. ',
}:disable();
robot_4 = iobj{
	nam = 'Маленький робот',
	exam = function(s)
		local v = 'Логический робот довольно высокого уровня, разрезанный напополам из бластера. ';
		if disabled('screen_4') then
			cover_4:enable();
			v = v..'На его груди вы видите крышечку. ';
		else
			v = v..'На груди у него маленький экран. ';
		end
		return v;
	end,
	accept = 'Ему это сейчас не нужно. ',
};
cover_4 = iobj{
	nam = 'Крышечка',
	exam = 'Маленькая привинченная крышечка. ',
	useit = 'Вы попытались открыть крышечку, но не смогли, так как она привинчена. ',
    used = function(s, w)
        if not have('pliers') then
			return 'Но у вас нет при себе инструментов! ';
        elseif w == pliers then
			cover_4:disable();
			screen_4:enable();
			return 'Вы свинтили с робота крышечку. упав на пол, она разбилась вдребезги. под ней вы видите небольшой экранчик. ';
		end
	end,
}:disable();
screen_4 = iobj{
	nam = 'Небольшой экранчик',
	exam = function(s)
		button_4:enable();
		hole_4:enable();
		return 'Маленький компьютерный экранчик. под ним вы видите кнопку, а сбоку - отверстие. ';
	end,
}:disable();
button_4 = iobj{
	nam = 'Кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		if hole_4._insert then
			walk('r_computer');
		else
			status._di = 'Руки робота неожиданно взметнулись вверх и схватили вас. Вы еще успели увидеть его мертвые стеклянные глаза перед тем, как он раздавил вам голову. ';
			return true;
		end
	end,
}:disable();
hole_4 = iobj{
	nam = 'Отверстие',
	_insert = false,
	exam = function(s)
		local v = 'Небольшое шестигранное отверстие. ';
		if s._insert then
			v = v..'В него вставлен кристалл. ';
		end
		return v;
	end,
	useit = function(s)
		if s._insert then
			return 'Вы попытались вынуть кристалл, но не смогли, так как отверстие очень узкое. ';
		else
			return 'Там ничего нет. ';
		end
	end,
	used = function(s, w)
		if s._insert then
			return 'В него уже вставлен кристалл. ';
		else
			if w == crystal then
				s._insert = true;
				Delete_obj(w);
				return 'Вы вставили кристалл в отверстие под экранчиком. Оказавшись там, он тут же слабо замерцал. ';
			else
				return 'Это сюда не подходит. ';
			end
		end
	end,
}:disable();
crampon_6 = iobj{
	nam = 'Скобы',
	useit = function(s)
		r_6._up = 'r_3';
		walk('r_3');
		return 'Вы залезли по скобам наверх. ';
	end,
};
lift_6 = iobj{
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	useit = function(s)
		--r_6._down = 'r_35';
		walk('r_35');
		return 'Вы спустились на лифте вниз. ';
	end,
};
console_7 = iobj{
	nam = 'Пульт управления',
	exam = function(s)
		button_blue_7:enable();
		button_red_7:enable();
		button_yellow_7:enable();
		screen_7:enable();
		return 'На пульте вы видите три кнопки: Синюю, Красную и Желтую. Слева от него находится небольшой экранчик. ';
	end,
};
button_blue_7 = iobj{
	_enable = false,
	nam = 'Синяя кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		if hole_27._insert and objs('r_20'):srch('rocket_fuel') and not s._enable then
			s._enable = true;
			objs('r_50'):add('diskette');
			return 'Откуда-то сзади донесся слабый шум. Усилившийся поток воздуха вынес что-то из-за пульта и тут же унес в вентиляцию. ';
		end
		return 'O.K, но ничего не произошло. ';
	end,
}:disable();
button_red_7 = iobj{
	_enable = false,
	nam = 'Красная кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		if screen_7._turn_on and slot_7._insert == 'disk' and not s._enable then
			s._enable = true;
			return 'Раздался звук "ДЗОНК!", и экран компьютера слабо мигнул. ';
		end
		return 'O.K, но ничего не произошло. ';
	end,
}:disable();
button_yellow_7 = iobj{
	nam = 'Желтая кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		screen_7._turn_on = not screen_7._turn_on;
		if screen_7._turn_on then
			return 'O.K. Экранчик слева от пульта слабо засветился. ';
		else
			return 'O.K. Экранчик погас.';
		end
	end,
}:disable();
screen_7 = iobj{
	nam = 'Небольшой экранчик',
	_turn_on = false,
	exam = function(s)
		if s._turn_on then
			walk('r_computer');
		else
			slot_7:enable();
			return 'Небольшой экранчик с какой-то щелью под ним. ';
		end
	end,
}:disable();
slot_7 = iobj{
	_insert = false,
	nam = function(s)
		if s._insert == 'disk' then
			return 'Слот с диском';
		elseif s._insert == 'kart' then
			return 'Слот с картой';
		else
			return 'Щель под экраном';
		end
	end,
	exam = 'Это узкая щель длиной сантиметров 6. ',
    useit = function (s)
		local v;
		if s._insert == 'disk' then
			v = Add_inv(diskette);
			if v then
				return v;
			else
				s._insert = false;
				return 'Вы вынули дискету из слота. ';
			end
		elseif s._insert == 'kart' then
			v = Add_inv(m_kart);
			if v then
				return v;
			else
				s._insert = false;
				return 'Вы вынули магнитную карточку из слота. ';
			end
		else
			return 'Там ничего нет. ';
		end
	end,
    used = function (s, w)
		if not have(w) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
        if w == m_kart then
			if s._insert == 'disk' then
				return 'Здесь уже вставлена дискета. ';
			end
			Delete_obj(w);
			s._insert = 'kart';
            return 'О.К. Вы вставили магнитную карту в слот. ';
        elseif w == diskette then
 			if s._insert == 'kart' then
				return 'Здесь уже вставлена магнитная карта. ';
			end
			Delete_obj(w);
			s._insert = 'disk';
            return 'О.К. Вы вставили дискету в слот. ';
       end
    end,
}:disable();
iron_8 = iobj{
	nam = 'Груда железяк',
	_push = false,
	exam = function(s)
		if s._push then
			return 'Это просто куча старых железяк. ';
		else
			return 'Под ними вы видите заваленную пластину лифта. ';
		end
	end,
	useit = 'Вы попытались сдвинуть их, но не смогли сделать этого, так как они очень тяжелые. ',
	push = 'Вы попытались сдвинуть их, но не смогли сделать этого, так как они очень тяжелые. ',
    used = function(s, w)
        if w == mount then
			if not have(w) then
				return 'Не получается, сперва надо взять это в руки.';
			end
			if not s._push then
				s._push = true;
				lift_8:enable();
				return 'O.K. Вы сделали это. ';
			end
		end
	end,
};
crampon_8 = iobj{
	nam = 'Скобы',
	useit = function(s)
		r_8._up = 'r_5';
		walk('r_5');
		return 'Вы залезли по скобам наверх. ';
	end,
};
lift_8 = iobj{
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	_enable = false,
	useit = function(s)
		if s._enable then
			r_8._down = 'r_37';
			walk('r_37');
			return 'Вы спустились на лифте вниз. ';
		else
			return 'Лифт отключен. ';
		end
	end,
}:disable();
equipment_9 = iobj{
	nam = 'Оборудование',
	exam = 'Среди него преобладают раздавленные в лепешку осциллографы. ',
};
aggregate_11 = iobj{
	nam = 'Агрегат',
	_exam = false,
	_push = false,
	exam = function(s)
		local v = 'Обычный камбузный агрегат модели KKK, весь обляпанный какой-то слизью. ';
		if not s._exam then
			objs():add('hamburger');
			s._exam = true;
			v = v..'Вы кое-что нашли внутри него! ';
		end
		return v;
	end,
	push = function(s)
		if s._push then
			return 'Но он уже передвинут. ';
		else
			s._push = true;
			r_11._south = 'r_15';
			return 'Передвинув агрегат в другой угол, вы увидели за ним большую дыру в стене. ';
		end
		return v;
	end,
};
ceiling_13 = iobj{
	nam = 'Потолок',
	exam = function(s)
		ledge_13:enable();
		return 'В углу вы видите какой-то выступ. ';
	end,
}:disable();
ledge_13 = iobj{
	nam = 'Выступ на потолке',
	exam = 'Он выглядит похожим на микрофон. ',
}:disable();
lift_14 = iobj{
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	_enable = false,
	useit = function(s)
		if s._enable then
			r_14._down = 'r_39';
			walk('r_39');
			return 'Вы спустились на лифте вниз. ';
		else
			return 'Лифт отключен. ';
		end
	end,
}:disable();
robot_14 = iobj{
	nam = 'Роботы',
	_push = false,
	exam = 'За ними вы видите дыру в стене. ',
	accept = 'Ему это сейчас не нужно. ',
	useit = 'Вы попытались сдвинуть их, но не смогли сделать этого, так как они очень тяжелые. ',
	push = 'Вы попытались сдвинуть их, но не смогли сделать этого, так как они очень тяжелые. ',
    used = function(s, w)
        if w == mount then
			if not have(w) then
				return 'Не получается, сперва надо взять это в руки.';
			end
			if not s._push then
				s._push = true;
				return 'Отодвинув их, вы увидели в стене оплавленное отверстие, а за ним - что-то вроде туннеля. ';
			end
		end
	end,
}:disable();
equipment_14 = iobj{
	nam = 'Оборудование',
	exam = function(s)
		robot_14:enable();
		lift_14:enable();
		return 'Оно разбросано довольно равномерно, только какие-то неисправные роботы собраны в кучу у западной стены. Около них вы видите пластину лифта. ';
	end,
};
hole_15 = iobj{
	nam = 'Отверстие робота',
	exam = 'Круглая дыра диаметром сантиметров 20. ',
	useit = function(s)
		if status._inv_max < 1 then
			return 'Вы хотели просунуть руку в рот роботу, но у вас их нет.';
		else
			status._inv_max = status._inv_max - 1;
			if status._inv_count > status._inv_max then
				local i, o;
				local _first = false;
				for i, o in opairs(inv()) do
					o = ref(o);
					if not _first and not (o == survival_suit and survival_suit._dress) then
						_first = true;
						Delete_obj(o);
					end
				end
			end
			return 'Вы просунули руку в рот роботу и он тут же откусил ее.';
		end
	end,
}:disable();
robot_15 = iobj{
	nam = 'Робот-мусорщик',
	_push = false,
	exam = function(s)
		hole_15:enable();
		return 'Робот-мусорщик низшего класса с колесиками вместо ног и круглой башкой с отверстием в центре. ';
	end,
	accept = function (s, w)
		if w ~= hamburger then
			return 'Ему это сейчас не нужно. ';
		end
		return true, false;
	end,
};
ceiling_16 = iobj{
	nam = 'Потолок',
	exam = function(s)
		button_16:enable();
		return 'Прямо посредине потолка вы видите кнопку. ';
	end,
};
button_16 = iobj{
	nam = 'Кнопка на потолке',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		if r_16._catapult or not button_red_7._enable then
			return 'O.K, но ничего не произошло. ';
		else
			r_16._catapult = true;
			return 'Нажав кнопку, вы почувствовали страшный толчок. Западная стена неожиданно исчезла, и вы увидели, как корабль удаляется от вас. ';
		end
	end,
}:disable();
robot_18 = iobj{
	nam = 'Тощий робот',
	_dead = false,
	exam = 'Полуорганический кибер старой модели, с ног до головы обросший какими-то мерзкими лишайниками. Он квазиразумен, но легко управляем. ',
};
robot_22 = iobj{
	nam = 'Злобный робот',
	_dead = false,
	exam = 'Кибер-разведчик, очень сильно поврежденный. ',
};
crampon_23 = iobj{
	nam = 'Узкая лесенка',
	useit = function(s)
		r_23._up = 'r_46';
		walk('r_46');
		return 'Вы залезли по лесенке наверх. ';
	end,
};
trace_23 = iobj{
	nam = 'Следы',
	exam = 'Эти следы оставлены какими-то очень узкими ногами. Вокруг них обильно разбрызгано машинное масло. ',
};
cart_24 = iobj{
	nam = 'Тележка',
	exam = 'Она выглядит так, как будто на ней перевозили что-то очень тяжелое. ',
};
box_27 = iobj{
	nam = 'Ящичек',
	exam = function(s)
		hole_27:enable();
		return 'В середине вы видите прямоугольное отверстие. ';
	end,
};
hole_27 = iobj{
	_insert = false,
	nam = 'Отверстие',
	exam = function(s)
		if s._insert then
			return 'В нем заметен блеск предохранителя. ';
		else
			return 'В нем торчат проволочные контакты. ';
		end
	end,
    useit = function (s)
		local v;
		if s._insert then
			v = Add_inv(fuse);
			if v then
				return v;
			end
			s._insert = false;
			return 'O.K. Вы вынули предохранитель из маленького ящичка. ';
		else
			return 'Там ничего нет. ';
		end
	end,
    used = function (s, w)
		if not have(w) then
			return 'Не получается, сперва надо взять это в руки. ';
		elseif s._insert then
			return 'Здесь уже вставлен предохранитель. ';
		elseif w == fuse then
			Delete_obj(w);
			s._insert = true;
			return 'O.K. Вы вставили предохранитель в маленький ящичек. ';
		end
		return 'Это сюда не подходит. ';
    end,
}:disable();
inscription_28 = iobj{
	nam = 'Надпись на стене',
	exam = 'Огромными буквами на стене нацарапано "РАСТЕНИЕ ПО-АНГЛИЙСКИ". ',
};
wall_30 = iobj{
	nam = 'Стена',
	exam = 'Эта стена наскоро сварена из железных плит. ',
};
crack_31 = iobj{
	nam = 'Трещина в полу',
	exam = 'Она достаточно велика, чтобы пролезть в нее. ',
    useit = function(s, w)
		r_31._down = 'r_52';
		walk('r_52');
		return 'Вы спустились через трещину в полу вниз. ';
	end,
}:disable();
box_31 = iobj{
	nam = 'Ящичек',
	exam = function(s)
		if disabled('hole_31') then
			cover_31:enable();
			return 'На нем привинчена пластиковая крышечка. ';
		end
		return 'В середине вы видите прямоугольное отверстие. ';
	end,
};
cover_31 = iobj{
	nam = 'Крышечка',
	exam = 'Маленькая привинченная крышечка. ',
	useit = 'Вы попытались открыть крышечку, но не смогли, так как она привинчена. ',
    used = function(s, w)
        if not have('pliers') then
			return 'Но у вас нет при себе инструментов! ';
        elseif w == pliers then
			cover_31:disable();
			hole_31:enable();
			return 'Отвинтив крышечку, вы увидели под ней отверстие с маленьким предохранителем. ';
		end
	end,
}:disable();
hole_31 = iobj{
	_insert = true,
	nam = 'Отверстие',
	exam = function(s)
		if s._insert then
			return 'В нем заметен блеск предохранителя. ';
		else
			return 'В нем торчат проволочные контакты. ';
		end
	end,
    useit = function (s)
		local v;
		if s._insert then
			v = Add_inv(fuse);
			if v then
				return v;
			end
			s._insert = false;
			return 'O.K. Вы вынули предохранитель из маленького ящичка. ';
		else
			return 'Там ничего нет. ';
		end
	end,
    used = function (s, w)
		if not have(w) then
			return 'Не получается, сперва надо взять это в руки. ';
		elseif s._insert then
			return 'Здесь уже вставлен предохранитель. ';
		elseif w == fuse then
			Delete_obj(w);
			s._insert = true;
			return 'O.K. Вы вставили предохранитель в маленький ящичек. ';
		end
		return 'Это сюда не подходит. ';
    end,
}:disable();
crampon_33 = iobj{
	nam = 'Скобы',
	useit = function(s)
		walk('r_51');
		return 'Вы залезли по скобам наверх. ';
	end,
};
lift_34 = iobj{
	_enable = false,
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	useit = function(s)
		if s._enable then
			r_34._down = 'r_41';
			walk('r_41');
			return 'Вы спустились на лифте вниз. ';
		else
			return 'Лифт отключен. ';
		end
	end,
};
boat_34 = iobj{
	nam = 'Шлюпка',
	exam = function(s)
		button_34:enable();
		return 'Довольно старая шлюпка, к тому же наполовину демонтированная. Над ней, высоко на потолке, вы видите маленькую кнопочку. ';
	end,
};
button_34 = iobj{
	nam = 'Кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = 'Она слишком высоко, вам не дотянуться. ',
	useit = 'Она слишком высоко, вам не дотянуться. ',
}:disable();
lift_35 = iobj{
	_enable = false,
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	useit = function(s)
		if objs():srch('robot_35') and not robot_35._push then
			status._di = 'Вы попытались пройти к лифту и случайно задели робота. Заскрипев, он обрушился на вас и раздавил вас в лепешку. ';
			return true;
		elseif s._enable then
			r_35._up = 'r_6';
			walk('r_6');
			return 'Вы поднялись на лифте вверх. ';
		else
			return 'Лифт отключен. ';
		end
	end,
};
robot_35 = iobj{
	nam = 'Робот-Погрузчик',
	_push = false,
	exam = function(s)
		local v = 'Очень глупый, но мощный робот-погрузчик. ';
		if not s._push then
			v = v..'Похоже, он что-то говорит. ';
		end
		return v;
	end,
};
bottle_35 = iobj{
	nam = 'Бутылки',
	exam = 'Почти все они разбиты. ',
};
wall_36 = iobj{
	_break = false,
	nam = 'Стена',
	exam = 'Пластиковая стена, непрочная на вид. ',
};
lift_37 = iobj{
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	useit = function(s)
		walk('r_8');
		return 'Вы поднялись на лифте вверх. ';
	end,
};
container_38 = iobj{
	nam = 'Контейнеры',
	exam = function(s)
		case_38:enable();
		return 'Среди них вы заметили довольно большой шкаф. ';
	end,
};
case_38 = iobj{
	nam = 'Большой шкаф',
	exam = function(s)
		inscription_38:enable();
		return 'Обычный встроенный в стену шкаф высотой метра два. На дверце вы видите какую-то надпись. ';
	end,
	useit = function(s)
		if r_38._north == nil then
			r_38._north = 'r_36';
			return 'Вы открыли шкаф. Из большой дыры в дальней стенке вырвался луч света. ';
		end
		r_38._north = nil;
		return 'O.K. Вы закрыли шкаф. ';
	end,
}:disable();
inscription_38 = iobj{
	nam = 'Надпись на дверце',
	exam = 'Здесь написано: "ЦЕМЕНТ". ',
}:disable();
lock_39 = iobj{
	nam = 'Цифровой замок',
	exam = function(s)
		inscription_39:enable();
		return 'Цифровой замок с десятью клавишами. Под ним что-то написано. ';
	end,
	useit = function(s)
		walk('r_lock');
	end,
}:disable();
inscription_39 = iobj{
	nam = 'Надпись',
	exam = 'Здесь написано: "НАБЕРИТЕ КОД". ',
}:disable();
lift_39 = iobj{
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	useit = function(s)
		walk('r_14');
		return 'Вы поднялись на лифте вверх. ';
	end,
};
box_39 = iobj{
	nam = 'Ящики',
	exam = function(s)
		container_39:enable();
		return 'Преобладают все-таки контейнеры. ';
	end,
};
container_39 = iobj{
	nam = 'Контейнеры',
	exam = 'Некоторые из них разбиты, и можно видеть, что в них находятся предметы, побывавшие в космосе или снятые с разбитых кораблей. ',
}:disable();
wall_39 = iobj{
	nam = 'Стена',
	exam = function(s)
		panel_39:enable();
		return 'Она покрыта пластиковыми панелями. ';
	end,
};
panel_39 = iobj{
	nam = 'Панели',
	_push = false,
	exam = 'Одна из панелей сильно поцарапана с правого края. ',
	push = function(s)
		if s._push then
			return 'Одна из них немного сдвинулась. ';
		else
			s._push = true;
			door_39_40:enable();
			r_39._south = 'r_40';
			return 'Отодвинув одну из панелей, вы увидели за ней маленькую закрытую дверку. ';
		end
	end,
}:disable();
robot_40 = iobj{
	nam = 'Маленький робот',
	_dead = false,
	exam = 'Полуразумный автономный робот системы AMBAL, очень маленький и хиленький. Обычно такие используются на планетах с низкой радиацией. ',
};
lift_41 = iobj{
	nam = 'Лифт',
	exam = 'Это и правда лифт. ',
	useit = function(s)
		walk('r_34');
		return 'Вы поднялись на лифте вверх. ';
	end,
};
crampon_41 = iobj{
	nam = 'Скобы',
	useit = function(s)
		r_41._south = 'r_43';
		walk('r_43');
		return 'Вы перебрались по скобам на Юг. ';
	end,
};
star_41 = iobj{
	nam = 'Яркая звезда',
	exam = 'Она выглядит довольно похожей на Солнце. ',
};
hatch_42 = iobj{
	nam = 'Люк',
	exam = 'Этот люк закрыт. Он порядочно помят метеоритом. ',
	useit = 'Не получается. ',
};
crampon_42 = iobj{
	nam = 'Скобы',
	useit = function(s)
		walk('r_43');
		return 'Вы перебрались по скобам на Восток. ';
	end,
};
crampon_north_43 = iobj{
	nam = 'Скобы на Севере',
	useit = function(s)
		walk('r_41');
		return 'Вы перебрались по скобам на Север. ';
	end,
};
crampon_east_43 = iobj{
	_cement = false,
	nam = 'Скобы на Востоке',
	exam = function(s)
		local v = 'Скобы на Востоке ';
		if s._cement then
			return v..'все заляпаны цементом. ';
		end
		return v..'покорежены и частично оторваны от обшивки. Их кто-то пытался зацементировать, но бросил это, не закончив дела. ';
	end,
	useit = function(s)
		if s._cement then
			r_43._east = 'r_44';
			walk('r_44');
			return 'Вы перебрались по скобам на Восток. ';
		end
		return 'Туда вам не пройти. ';
	end,
};
crampon_west_43 = iobj{
	nam = 'Скобы на Западе',
	useit = function(s)
		r_43._west = 'r_42';
		walk('r_42');
		return 'Вы перебрались по скобам на Запад. ';
	end,
};
body_43 = iobj{
	nam = 'Труп',
	exam = 'Это труп здоровенного дядьки с прической под панка в обгоревшем скафандре. Он зацепился руками за обшивку и, как видно, висит здесь уже довольно давно. ',
};
crampon_44 = iobj{
	nam = 'Скобы',
	useit = function(s)
		walk('r_43');
		return 'Вы перебрались по скобам на Запад. ';
	end,
};
robot_44 = iobj{
	nam = 'Круглый робот',
	_insert = true,
	exam = 'Похоже, мозг у него сильно поврежден. ',
	useit = function(s)
		if s._insert then
			local v = Add_inv(key);
			if not v then
				s._insert = false;
				return 'Вы вынули у него изо рта маленький ключ. ';
			end
			return v;
		end
		return 'У него больше ничего нет. ';
	end,
};
iron_46 = iobj{
	nam = 'Груда железяк',
	_push = false,
	exam = 'Это просто куча старых железяк. ',
	useit = 'Вы попытались сдвинуть их, но не смогли сделать этого, так как они очень тяжелые. ',
	push = 'Вы попытались сдвинуть их, но не смогли сделать этого, так как они очень тяжелые. ',
    used = function(s, w)
        if w == mount then
			if not have('mount') then
				return 'Не получается, сперва надо взять это в руки.';
			end
			if not s._push then
				s._push = true;
				r_46._east = 'r_47';
				hatch_46_47:enable();
				return 'O.K. Вы сделали это. ';
			end
		end
	end,
};
screen_52 = iobj{
	nam = 'Небольшой экранчик',
	exam = function(s)
		console_52:enable();
		return 'Он абсолютно пуст. Под ним вы видите пульт управления. ';
	end,
};
console_52 = iobj{
	nam = 'Пульт управления',
	exam = function(s)
		button_52:enable();
		lock_52:enable();
		return 'На нем расположено множество кнопок. Внизу вы видите замок. ';
	end,
}:disable();
button_52 = iobj{
	nam = 'Кнопка',
	exam = 'Обычная не слишком большая кнопка. ',
	push = function(s)
		if not conductor_52._break and lock_52._status == 2 then
			if r_computer._enable_4 then
				status._di = txtc('Поздравляем! Вы прошли игру.')..'^^Раздался рев стартовых ракет, и ваша шлюпка отчалила от остатков корабля. Оглянувшись назад, вы увидели взрыв, закрывший полнеба. Даже на таком расстоянии вы ощутили слабое притяжение планеты, которая, возможно, станет теперь вашим домом. ';
			else
				status._di = 'Вылетев на шлюпке наружу, вы не увидели поблизости ни одной планеты. Автопилот не вынес этого и взорвался вместе с вами. ';
			end
			return true;
		else
			return 'O.K, но ничего не произошло. ';
		end
	end,
}:disable();
lock_52 = iobj{
	_status = 0,
	nam = 'Замок зажигания',
	exam = function(s)
		conductor_52:enable();
		local v = 'Он похож на замок системы зажигания. ';
		if s._status == 0 then
			v = v..'В середине вы видите отверстие. ';
		end
		return v..'Под замком вы видите какой-то провод. ';
	end,
    push = function (s)
		if s._status == 0 then
			return 'Там ничего нет. ';
		elseif s._status == 2 then
			return 'Ключ в замке системы зажигания уже повернут. ';
		end
		s._status = 2;
		local v = 'Вы повернули ключ в замке системы зажигания. ';
		if not conductor_52._break then
			v = v..'Раздался приглушенный гул, и все кнопки на пульте замигали. ';
		end
		return v;
	end,
    useit = function (s)
		if s._status == 0 then
			return 'Там ничего нет. ';
		end
		local v = Add_inv(key);
		if v then
			return v;
		end
		s._status = 0;
		return 'O.K. Вы вынули ключ из замка системы зажигания. ';
	end,
    used = function (s, w)
		if not have(w) then
			return 'Не получается, сперва надо взять это в руки. ';
		elseif s._status ~= 0 then
			return 'Здесь уже вставлен ключ. ';
		elseif w == key then
			Delete_obj(w);
			s._status = 1;
			return 'O.K. Вы вставили ключ в замок системы зажигания. ';
		end
		return 'Это сюда не подходит. ';
    end,
}:disable();
conductor_52 = iobj{
	nam = 'Провод',
	_break = true,
	exam = function(s)
		if s._break then
			return 'Он разорван. ';
		end
		return 'Он чем-то связан. ';
	end,
    used = function (s, w)
		if not have(w) then
			return 'Не получается, сперва надо взять это в руки. ';
		elseif not s._break then
			return 'Этот провод уже связан цепочкой. ';
		elseif w == medallion then
			Delete_obj(w);
			s._break = false;
			local v = 'O.K. Вы связали провод цепочкой. ';
			if lock_52._status == 2 then
				v = v..'Раздался приглушенный гул, и все кнопки на пульте замигали. ';
			end
			return v;
		end
		return 'Это сюда не подходит. ';
    end,
}:disable();
door_14_18 = iobj{
	nam = 'Дверь',
	_status = 0,
	exam = function(s)
		local v = 'Эта дверь ';
		if s._status == 0 then
			v = v..'закрыта';
		elseif s._status == 1 then
			v = v..'открыта';
		elseif s._status == 2 then
			v = v..'заперта';
		end
		return v..'. Она выглядит так, как будто ее пытались взломать. ';
	end,
	useit = function(s)
		if s._status == 0 then
			s._status = 1;
			return 'O.K. Дверь открыта. ';
		elseif s._status == 1 then
			s._status = 0;
			return 'O.K. Дверь закрыта. ';
		elseif s._status == 2 then
			return 'Эта дверь заперта. ';
		end
		return 'Не получается. ';
	end,
};
door_17_21 = iobj{
	nam = 'Дверь',
	_status = 0,
	exam = function(s)
		local v = 'Эта дверь ';
		if s._status == 0 then
			v = v..'закрыта';
		elseif s._status == 1 then
			v = v..'открыта';
		elseif s._status == 2 then
			v = v..'заперта';
		end
		return v..'. ';
	end,
	useit = function(s)
		if s._status == 0 then
			s._status = 1;
			return 'O.K. Дверь открыта. ';
		elseif s._status == 1 then
			s._status = 0;
			return 'O.K. Дверь закрыта. ';
		elseif s._status == 2 then
			return 'Эта дверь заперта. ';
		end
		return 'Не получается. ';
	end,
};
door_39_40 = iobj{
	nam = 'Дверь',
	_status = 2,
	exam = function(s)
		local v = 'Эта дверь ';
		if s._status == 0 then
			v = v..'закрыта';
		elseif s._status == 1 then
			v = v..'открыта';
		elseif s._status == 2 then
			v = v..'заперта';
		end
		v = v..'. ';
		if here() == r_39 then
			lock_39:enable();
			v = v..'На ней вы видите цифровой замок. ';
		end
		return v;
	end,
	useit = function(s)
		if s._status == 0 then
			s._status = 1;
			return 'O.K. Дверь открыта. ';
		elseif s._status == 1 then
			s._status = 0;
			return 'O.K. Дверь закрыта. ';
		elseif s._status == 2 then
			return 'Эта дверь заперта. ';
		end
		return 'Не получается. ';
	end,
}:disable();
door_45_46 = iobj{
	nam = 'Дверь',
	_status = 0,
	exam = function(s)
		local v = 'Эта дверь ';
		if s._status == 0 then
			v = v..'закрыта';
		elseif s._status == 1 then
			v = v..'открыта';
		elseif s._status == 2 then
			v = v..'заперта';
		end
		return v..'. ';
	end,
	useit = function(s)
		if s._status == 0 then
			s._status = 1;
			return 'O.K. Дверь открыта. ';
		elseif s._status == 1 then
			s._status = 0;
			return 'O.K. Дверь закрыта. ';
		elseif s._status == 2 then
			return 'Эта дверь заперта. ';
		end
		return 'Не получается. ';
	end,
}:disable();
door_16_19 = iobj{
	nam = 'Дверь',
	_status = 2,
	exam = function(s)
		local v = 'Эта дверь ';
		if s._status == 0 then
			v = v..'закрыта';
		elseif s._status == 1 then
			v = v..'открыта';
		elseif s._status == 2 then
			v = v..'заперта';
		end
		slot_16_19:enable();
		return v..'. Около ручки вы видите узкую щель. ';
	end,
	useit = function(s)
		if s._status == 0 then
			s._status = 1;
			return 'O.K. Дверь открыта. ';
		elseif s._status == 1 then
			s._status = 2;
			return 'O.K. Дверь закрыта. ';
		elseif s._status == 2 then
			return 'Эта дверь заперта. ';
		end
		return 'Не получается. ';
	end,
};
slot_16_19 = iobj{
	_insert = false,
	nam = function(s)
		if s._insert == 'disk' then
			return 'Щель с диском';
		elseif s._insert == 'kart' then
			return 'Щель с картой';
		else
			return 'Узкая щель';
		end
	end,
	exam = 'Довольно узкая щель. ',
    useit = function (s)
		local v;
		if s._insert == 'disk' then
			v = Add_inv(diskette);
			if v then
				return v;
			end
			s._insert = false;
			return 'Вы вынули дискету из щели. ';
		elseif s._insert == 'kart' then
			v = Add_inv(m_kart);
			if v then
				return v;
			end
			s._insert = false;
			return 'Вы вынули магнитную карточку из щели. ';
		else
			return 'Там ничего нет. ';
		end
	end,
    used = function (s, w)
		if not have(w) then
			return 'Не получается, сперва надо взять это в руки. ';
		end
		if s._insert == 'disk' then
			return 'Здесь уже вставлена дискета. ';
 		elseif s._insert == 'kart' then
			return 'Здесь уже вставлена магнитная карта. ';
		end
        if w == m_kart then
           local v = 'О.К. Вы вставили магнитную карту в щель';
			if m_kart._count > 0 then
				m_kart._count = m_kart._count - 1;
				door_16_19._status = 1;
				v = v..' и дверь открылась. ';
			else
				v = v..', но ничего не произошло. ';
			end
			Delete_obj(w);
			s._insert = 'kart';
			return v;
        elseif w == diskette then
			Delete_obj(w);
			s._insert = 'disk';
            return 'О.К. Вы вставили дискету в щель, но ничего не произошло. ';
       end
    end,
}:disable();
hatch_12_13 = iobj{
	nam = 'Люк',
	_oil = false,
	_open = false,
	exam = function(s)
		local v = 'Этот люк ';
		if s._open then
			v = v..'открыт';
		else
			v = v..'закрыт';
		end
		v = v..'. ';
		if here() == r_13 then
			ceiling_13:enable();
			v = v..'На нем нарисована красная стрелка, показывающая вверх, на потолок. ';
		end
		return v;
	end,
	useit = function(s)
		if s._open then
			s._open = false;
			return 'O.K. Вы закрыли люк. ';
		elseif not s._oil then
			status._di = 'Попытавшись открыть люк, вы услышали страшный скрип. Из выступа в потолоке вылетел лазерный луч и сжег вас. ';
			return true;
		end
		s._open = true;
		return 'O.K. Вы открыли люк. ';
	end,
	used = function(s, w)
		if w == vial and not vial._empty then
			s._oil = true;
			return 'Вы вылили масло из масленки, смазав петли люка. ';
		end
	end,
};
hatch_20_21 = iobj{
	nam = 'Люк',
	_open = false,
	exam = function(s)
		local v = 'Этот люк ';
		if s._open then
			v = v..'открыт';
		else
			v = v..'закрыт';
		end
		return v..'. ';
	end,
	useit = function(s)
		if s._open then
			s._open = false;
			return 'O.K. Вы закрыли люк. ';
		end
		s._open = true;
		return 'O.K. Вы открыли люк. ';
	end,
};
hatch_23_29 = iobj{
	nam = 'Люк',
	_open = false,
	exam = function(s)
		local v = 'Этот люк ';
		if s._open then
			v = v..'открыт';
		else
			v = v..'закрыт';
		end
		return v..'. ';
	end,
	useit = function(s)
		if s._open then
			s._open = false;
			return 'O.K. Вы закрыли люк. ';
		end
		s._open = true;
		return 'O.K. Вы открыли люк. ';
	end,
};
hatch_25_26 = iobj{
	nam = 'Люк',
	_open = false,
	exam = function(s)
		local v = 'Этот люк ';
		if s._open then
			v = v..'открыт';
		else
			v = v..'закрыт';
		end
		return v..'. ';
	end,
	useit = function(s)
		if s._open then
			s._open = false;
			return 'O.K. Вы закрыли люк. ';
		end
		s._open = true;
		return 'O.K. Вы открыли люк. ';
	end,
};
hatch_28_32 = iobj{
	nam = 'Люк',
	_break = false,
	_open = false,
	exam = function(s)
		local v = 'Этот люк ';
		if s._open then
			v = v..'открыт';
		else
			v = v..'закрыт';
		end
		v = v..'. ';
		if here() == r_28 then
			v = v..'Он выглядит так, как будто его заплавило изнутри. ';
		end
		return v;
	end,
	useit = function(s)
		if not s._break then
			return 'Не получается. ';
		end
		if s._open then
			s._open = false;
			return 'O.K. Вы закрыли люк. ';
		end
		s._open = true;
		return 'O.K. Вы открыли люк. ';
	end,
};
hatch_46_47 = iobj{
	nam = 'Люк',
	_open = false,
	exam = function(s)
		local v = 'Этот люк ';
		if s._open then
			v = v..'открыт';
		else
			v = v..'закрыт';
		end
		return v..'. ';
	end,
	useit = function(s)
		if s._open then
			s._open = false;
			return 'O.K. Вы закрыли люк. ';
		end
		s._open = true;
		return 'O.K. Вы открыли люк. ';
	end,
}:disable();
