function check_light()
	if objs():srch('uranium_pool') or ((objs():srch('bottle') or have('bottle')) and not bottle._empty) then
		return true;
	end
	return false;
end

function check_door(s, to)
	if ((s == r_46 and to == r_47) or (s == r_47 and to == r_46)) and hatch_46_47._open and have('survival_suit') and survival_suit._dress then
		status._command = 'Люк слишком узкий для вас. ';
		return true;
	elseif s == r_51 and to == r_52 and have('survival_suit') and survival_suit._dress then
		status._command = 'Вы попытались пролезть в дыру, но не смогли, так как вам мешает шлем скафандра. ';
		return true;
	elseif ((door_14_18._status ~= 1 and ((s == r_14 and to == r_18) or (s == r_18 and to == r_14))) or (door_16_19._status ~= 1 and ((s == r_16 and to == r_19) or (s == r_19 and to == r_16))) or (door_17_21._status ~= 1 and ((s == r_17 and to == r_21) or (s == r_21 and to == r_17))) or (door_39_40._status ~= 1 and ((s == r_39 and to == r_40) or (s == r_40 and to == r_39))) or (door_45_46._status ~= 1 and ((s == r_45 and to == r_46) or (s == r_46 and to == r_45))))  and not status._dark_room then
		status._command = 'Вы уперлись в закрытую дверь. ';
		return true;
	elseif (not hatch_12_13._open and ((s == r_12 and to == r_13) or (s == r_13 and to == r_12))) or (not hatch_20_21._open and ((s == r_20 and to == r_21) or (s == r_21 and to == r_20))) or (not hatch_23_29._open and ((s == r_23 and to == r_29) or (s == r_29 and to == r_23))) or (not hatch_25_26._open and ((s == r_25 and to == r_26) or (s == r_26 and to == r_25))) or (not hatch_28_32._open and ((s == r_28 and to == r_32) or (s == r_32 and to == r_28))) or (not hatch_46_47._open and ((s == r_46 and to == r_47) or (s == r_47 and to == r_46))) then
		status._command = 'Вы попытались пройти сквозь люк, но не смогли.';
		return true;
	end
	return false;
end

function status_check(s, to)
	if s == nil then
		s = here();
		to = nil;
	end
	--status._di = false;
	if ((to == nil and s.no_air) or (to ~= nil and to.no_air)) and not (inv():srch('survival_suit') and survival_suit._dress) then
		status._air_count = status._air_count + 1;
		if status._air_count >= 3 then
			status._di = 'Вы долго терпели, но все-таки не выдержали и задохнулись. ';
		end
	else
		status._air_count = 0;
	end
	if button_blue_7._enable and not r_16._catapult then
		status._count_launch = status._count_launch + 1;
		if status._count_launch > 254 then
			status._di = 'Вы слишком близко подлетели к Звезде и взорвались. ';
		end
	else
		status._count_launch = 0;
	end
	if s == r_40 and to == nil and not robot_40._dead and objs():srch('uranium_pool') then
		robot_40._dead = true;
		objs():add('crystal');
		status._command = 'Гамма-лучи, проникнув в мозг робота, мгновенно вывели его из строя. заискрив, он выплюнул что-то (попав прямо в вас) и замер. ';
	end
	status._count_room = status._count_room + 1;
	if (s == r_16 and to == r_15 and s._catapult) or (s == r_51 and to == r_52 and not(have('survival_suit') and survival_suit._dress)) then
		status._di = 'Вы вылетели в открытый космос и скончались от страха. ';
	elseif s == r_14 and to == r_13 and not robot_14._push then
		status._di = 'Вы напоролись на острый штырь и мгновенно умерли от заражения крови. ';
	elseif s == r_29 and not (inv():srch('survival_suit') and survival_suit._dress) and ((to == nil and status._count_room > 0) or to ~= r_23) then
		status._di = 'Облучение превысило критическую массу! Ваш обугленный труп вяло упал на железный пол. ';
	elseif s == r_40 and not robot_40._dead and ((to == nil and status._count_room > 0) or to ~= r_39)  then
		status._di = 'Робот выпустил лазерный луч из своей круглой башки и прожег вас насквозь. ';
	elseif s == r_18 and not robot_18._dead and ((to == nil and status._count_room > 0) or to ~= r_14) then
		status._di = 'Проворно подбежав к вам, робот схватил вас и принялся запихивать вам в рот какую-то дрянь. Вы скончались от отравления. ';
	elseif s == r_22 and not robot_22._dead and ((to == nil and status._count_room > 0) or to ~= r_23) then
		status._di = 'Ловко соскочив с потолка, робот прыгнул на вас и оторвал вам голову. ';
	elseif s == r_35 and to == r_6 and objs():srch('robot_35') and not robot_35._push then
		status._di = 'Вы попытались пройти к лифту и случайно задели робота. Заскрипев, он обрушился на вас и раздавил вас в лепешку. ';
	end
	if status._di then
		me():disable_all();
		return true;
	end
	return false;
end

function print_objs(s)
    local k,v,l
    local empty = true
	l = '';
    for k,v in opairs(here().obj) do
		if v.transportable then
			if empty then
				l = l..txtem('^^В поле вашего зрения: ');
			else
				l = l..', ';
			end
			l = l..txtem('"'..nameof(v)..'"');
			empty = false
		end
    end
    if not empty then
        l = l..'.';
    end
	if type(status._command) == 'string' then
		l = l..'^^        '..txtem(status._command);
	end
	if status._di then
		l = l..'^^'..txtc('──────────────────────')..'^^'..'        '..txtem(status._di)..'^^'..txtc('КОНЕЦ ИГРЫ!');
	end
	return l;
end

function Delete_obj(s)
	if have(s) then
		status._inv_count = status._inv_count - 1;
		if status._inv_count < 0 then
			status._inv_count = 0;
		end
		inv():del(s)
	elseif here().obj:srch(s) then
		here().obj:del(s);
	end
end

function Add_inv(s)
	if status._inv_count < status._inv_max then
		status._inv_count = status._inv_count + 1;
		inv():add(s);
		return false;
	end
	if status._inv_max == 2 then
		return 'У вас только две руки.';
	elseif status._inv_max == 1 then
		return 'У вас только одна рука.';
	end
	return 'Вам все это не унести.';
end

function iroom(v)
	v.enter = function(s, from)
		status._count_room = 0;
		status._command = 'Ваши действия?';
		status._dark_room = s.dark;
		if status._dark_room then
			status._dark_room = not check_light();
		end
		if objs():srch('back') then
			objs():del('back');
		end
		if status._dark_room then
			me():disable_all();
			objs():add(vway('back', '^'..txtc(txtem('{Вернуться . . .}')), from));
		else
			me():enable_all();
		end
		if (s == r_16 and from == r_19) or (s == r_19 and from == r_16) then
			door_16_19._status = 2;
			status._command = 'Дверь за вами захлопнулась. ';
			return true;
		end
		return call(s, 'enter_', from);
	end
	v.nam = function(s)
		local i;
		if status._dark_room then
			v.nam__ =  'Здесь ничего не видно!';
		else
			v.nam__ =  s.nam_;
		end
		if s.no_air then
			v.nam__ = v.nam__..' (Здесь нет воздуха';
			for i = 1, status._air_count do
				v.nam__ = v.nam__..'!';
			end
			v.nam__ = v.nam__..')';
		end
		return call(s, 'nam__');
	end
	v.dsc = function(s)
		if status._dark_room then
			v.dsc__ = false;
		else
			v.dsc__ = s.dsc_;
		end
		local k, o = call(s, 'dsc__');
		if type(k) == 'string' then
			k = k..print_objs(s);
		end
		return k, o;
	end
	v.exit = function(s, to)
		if check_door(s, to) or status_check(s, to) then
			return true, false;
		end
		return true, true;
	end
	return room(v);
end

function ComputerInfo(info)
	local v;
	if info == 0 then
		v = txttop(img('pic/ship_1.gif'))..'   '..txttop(img('pic/ship_2.gif'))..'                                                                  '..txttop(img('pic/logo.gif'))..'^^'..
		txtc(txtem('KK Черный Кутец'))..'^^'..'Модель: '..txtem('CIRIPOPIK 3')..'^Год выпуска: '..txtem('2473')..'^Спецификация: '..txtem('Военный')..'^Экипаж: '..txtem('3 человека')..'^Порт приписки: '..txtem('Земля')..txtem('^^Списан в 2560 г в связи с полной непригодностью к полетам.');
	elseif info == 1 then
		v = txttop(img('pic/captain.gif'))..'                                                                                  '..txttop(img('pic/logo.gif'))..'^^'..
		'Ф.И: '..txtem('Олег Хупаров')..'^Должность: '..txtem('Капитан')..'^Год рождения: '..txtem('2549')..'^Место рождения: '..txtem('Земля, г. Сяпетод')..'^Стаж службы: '..txtem('10 лет')..'^Характер: '..txtem('Злобный');
	elseif info == 2 then
		v = txttop(img('pic/navigator.gif'))..'                                                                                  '..txttop(img('pic/logo.gif'))..'^^'..
		'Ф.И: '..txtem('Андрей Кутцов')..'^Должность: '..txtem('Штурман')..'^Год рождения: '..txtem('2550')..'^Место рождения: '..txtem('МИТ, "Станция "МИТ-Мутантское""')..'^Стаж службы: '..txtem('11 лет')..'^Характер: '..txtem('Вредный');
	elseif info == 3 then
		v = txttop(img('pic/ranger.gif'))..'                                                                                  '..txttop(img('pic/logo.gif'))..'^^'..
		'Ф.И: '..txtem('Дядич Зяд')..'^Должность: '..txtem('Рейнджер')..'^Год рождения: '..txtem('Не известно')..'^Место рождения: '..txtem('Не известно. Предп. сектор 3.22.N')..'^Стаж службы: '..txtem('3 года')..'^Характер: '..txtem('Покладистый');
	elseif info == 4 then
		v = '>25.02.71   '..txtem('Отказал левый двигатель. Почему - не знаю, неохота проверять. Андрей по ошибке заснул в реакторе. Проснулся в большой злобе и куда-то исчез. ')..'^^'..
			'>32.02.71   '..txtem('Кто-то демонтировал шлюпку. Возможно, я. ')..'^^'..
			'>40.02.71   '..txtem('Зяд поселился в вентиляции. Целый день висит, присосавшись к потолку, что-то там монтирует. Иногда вылезает, копается в компьютере. ')..'^^'..
			'>42.02.71   '..txtem('Узнав о том, что двигатель уже третью неделю не работает, Зяд выпрыгнул в космос. Сказал, что пойдт пешком. Не знаю, может и дойдет. Задача на завтра: найти подходящую планету и приземлиться. ')..'^';
	end
	return v;
end