r_begin = room {
    nam = '. . .',
	dsc = '2571 год. Земная конфедерация, ослабленная войной с пеньками - пришельцами из внешнего космоса - и последовавшими за ней внутренними войнами, распалась. Жалкие остатки патрульных и космических рейнджеров бесцельно крейсируют между звездами на полуразвалившихся кораблях. Многие из них уже давно забыли координаты своих миров.',

	enter = function(s, from)
		-- Инициализация новой игры --
		status._inv_max = 2;
		status._inv_count = 1;
		status._di = false;
        inv():add('n_book');
		me():disable_all();
	end,

    obj = { vway('1', '{Далее . . .}', 'r_7') },
};
r_1 = iroom {
    _south = 'r_2',
    nam_ = 'Нос корабля',
	dsc_ = 'Вы в крошечной комнатке со скошенным потолком. Как видно, она находится в самом носу корабля. По полу комнатки разбросано множество инструментов, использовавшихся для починки роботов и компьютеров. ',
    obj = { 'pliers' },
};
r_2 = iroom {
    _north = nil, -- 'r_1'
    _south = 'r_4',
    nam_ = 'Длинная комната',
	dsc_ = function(s)
		local v = 'Перед вами длинная комната. По обеим ее сторонам стоят шеренги роботов, многие из которых требуют ремонта. Вы можете идти на юг';
		if s._north ~= nil then
			v = v..' и на север, сквозь отодвинутую панель';
		end
		return v..'. ';
	end,
    obj = { 'robot_2', 'wall_2', 'panel_2' },
};
r_3 = iroom {
    _down = 'r_6',
    nam_ = 'Левая башенка',
	dsc_ = 'Эта башенка также представляет из себя огневую точку. Похоже, что из излучателя стреляли так долго, что он перегрелся и вышел из строя. Перед ним вы видите маленький обзорный экранчик. ',
    obj = { 'screen_3', 'button_yellow_3', 'button_red_3', 'star_3' },
};
r_4 = iroom {
    _north = 'r_2',
    _west = 'r_6',
    nam_ = 'Широкий коридор',
	dsc_ = 'Вы в довольно широком коридоре, ведущем с юга на север. Впрочем, южный конец перекрыт основательно приваренным листом, содранным с обшивки корабля. Посреди коридора валяется маленький робот. ',
    obj = { 'robot_4', 'cover_4', 'screen_4', 'button_4', 'hole_4', 'vial' },
};
r_5 = iroom {
    _down = 'r_8',
    nam_ = 'Правая башенка',
	dsc_ = 'Вы в небольшой башенке, выступающей над корпусом корабля. Наверно, раньше она использовалась как огневая точка, но теперь на месте лазерного излучателя торчат какие-то оплавленные обломки. Прозрачная обшивка во многих местах треснула и была небрежно заляпана цементом. в полу вы видите отверстие, ведущее вниз. ',
};
r_6 = iroom {
	dark = true,
    _east = 'r_4',
    _up = nil, -- 'r_3'
    _down = 'r_35',
    nam_ = 'Маленькая площадка',
	dsc_ = 'Вы стоите на маленькой площадке. На одной из стен приварены подржавевшие скобы, а под ногами у вас пластина лифта. На востоке вы видите выход в широкий коридор. ',
    obj = { 'lift_6', 'crampon_6' },
};
r_7 = iroom {
    _south = 'r_10',
	_begin = true,
    nam_ = 'Капитанский мостик',
	dsc_ = function(s)
		local v = 'Вы находитесь на мостике космического корабля. Прямо перед собой вы видите пульт управления, заваленный обломками обзорного экрана, около пульта - странной формы кресло. ';
		if s._begin then
			v = v..'В воздухе чувствуется слабый запах чего-то спиртного. Голова у вас прямо-таки раскалывается. ';
			s._begin = false;
		end
		return v;
	end,
    obj = { 'console_7', 'button_blue_7', 'button_red_7', 'button_yellow_7', 'screen_7', 'slot_7' },
};
r_8 = iroom {
    _south = 'r_11',
    _up = nil, -- r_5
    _down = nil, -- r_37
    nam_ = 'Тупичок',
	dsc_ = function(s)
		local v = 'Это небольшой захламленный тупичок, упирающийся в слегка обгорелую железную стену. Над ';
		if iron_8._push then
			v = v..'круглой площадкой лифта';
		else
			v = v..'грудой каких-то железяк';
		end
		return v..' вы видите ребристую трубу, уходящую вверх. Внутри трубы приделаны хлипкие на вид скобы. Сзади, на юге, находится дверной проем с остатками двери. ';
	end,
    obj = { 'iron_8', 'crampon_8', 'lift_8' },
};
r_9 = iroom {
    _east = 'r_10',
    nam_ = 'Кладовка',
	dsc_ = 'Эта небольшая кладовочка буквально набита всевозможным оборудованием, большую часть которого вряд ли можно использовать. Единственный выход ведет на восток, в коридор. ',
    obj = { 'equipment_9', 'mount' },
};
r_10 = iroom {
    _north = 'r_7',
	_south = 'r_14',
    _east = 'r_11',
    _west = 'r_9',
    nam_ = 'Просторный коридор',
	dsc_ = 'Вы в довольно просторном коридоре. Панели в потолке светятся неярко из-за толстого слоя пыли, лежащего на них. На полу валяются разные мелкие приборы, но они не мешают проходу. Вы можете идти в любую сторону. ',
    obj = { 'm_kart' },
};
r_11 = iroom {
    _north = 'r_8',
    _south = nil, -- 'r_15'
    _west = 'r_10',
    nam_ = 'Камбуз',
	dsc_ = 'Вы вошли в камбуз. В углу этого тесноватого помещения стоит пищевой агрегат, вокруг него набросана засохшая провизия. На севере вы видите проломанную дверь, на западе - коридор, ведущий на мостик. ',
    obj = { 'match', 'aggregate_11' },
};
r_12 = iroom {
	dark = true,
    _east = 'r_13',
	_south = 'r_17',
    nam_ = 'Подсобное помещение',
	dsc_ = 'В этой маленькой комнатке явно велась перестрелка. Панели стен изрезаны лазерными лучами, на полу валяются какие-то оплавленные железки, а в южной стене прожжена здоровенная дыра. На востоке виден вход в трубу.',
    obj = { 'hatch_12_13' },
};
r_13 = iroom {
    _east = 'r_14',
    _west = 'r_12',
    nam_ = 'Широкая труба',
	dsc_ = 'Перед вами широкая металлическая труба. Она достаточно велика, чтобы стоять не сгибаясь. На западе труба заканчивается ржавым люком, на востоке - большой оплавленной дырой.',
    obj = { 'hatch_12_13', 'ceiling_13', 'ledge_13' },
};
r_14 = iroom {
    _north = 'r_10',
	_south = 'r_18',
    _west = 'r_13',
	_down = nil, -- 'r_39'
    nam_ = 'Склад оборудования',
	dsc_ = function(s)
		local v = 'Вы находитесь в обширном помещении. Оно так загромождено различным оборудованием, что негде даже повернуться. На севере вы видите коридор, на юге - прочную бронированную дверь';
		if robot_14._push then
			v = v..', а на западе - большую дыру, пробитую в стене';
		end
		return v..'. ';
	end,
    obj = { 'door_14_18', 'equipment_14', 'robot_14', 'lift_14' },
};
r_15 = iroom {
	dark = true,
    _north = 'r_11',
    _east = nil, -- 'r_16'
    nam_ = 'Небольшой коридор',
	dsc_ = function(s)
		local v = 'Вы в небольшом коридорчике, который заканчивается тупиком. У стены с глупым видом стоит какой-то робот. ';
		if s._east ~= nil then
			v = v..'в восточной стене вы видите большую дыру, ведущую в темноту. ';
		end
		return v;
	end,
    obj = { 'robot_15', 'hole_15' },
};
r_16 = iroom {
	dark = true,
	_south = 'r_19',
    _west = 'r_15',
    nam_ = 'Система вентиляции',
	dsc_ = 'Вы на перекрестке труб системы вентиляции. Трубы на севере и востоке слишком узки, чтобы в них пролезть, но западная достаточно широка. На юге вы видите небольшую дверцу, которая как-то необычно выглядит. ',
	_catapult = false;
    obj = { 'door_16_19', 'slot_16_19', 'ceiling_16', 'button_16', 'medallion' },
};
r_17 = iroom {
	dark = true,
    _north = 'r_12',
	_south = 'r_21',
    nam_ = 'Кислородная цистерна',
	dsc_ = 'Вы находитесь в одной из кислородных цистерн. Впрочем, эта явно не используется по прямому назначению. На юге вы видите маленькую дверцу, на севере - рваную дыру, прожженую в стенке. А вот кислородом даже не пахнет. ',
    obj = { 'door_17_21' },
};
r_18 = iroom {
    _north = 'r_14',
    _south = 'r_23',
    nam_ = 'Склад скафандров',
	dsc_ = function(s)
		local v = 'Эта маленькая комнатка используется для хранения космических скафандров. Разного рода скафандры, висящие здесь, полностью скрывают южную стену. Вы видите высокого, но тощего робота, который ';
		if robot_18._dead then
			v = v..'валяется на полу с обгорелой башкой. ';
		else
			v = v..'со злобной ухмылкой вылез из-за скафандров. ';
		end
		return v;
	end,
    obj = { 'door_14_18', 'robot_18', 'survival_suit' },
};
r_19 = iroom {
	dark = true,
	no_air = true,
    _north = 'r_16',
	_south = 'r_25',
    nam_ = 'Воздушная цистерна',
	dsc_ = 'Эту воздушную цистерну разнесли в осколки прямым попаданием тепловой ракеты. Огромную дыру на потолке залепили цементом, но мелких трещин все равно осталось достаточно, чтобы весь кислород улетучился. ',
    obj = { 'door_16_19', 'slot_16_19' },
};
r_20 = iroom {
	dark = true,
	_east = 'r_21',
    nam_ = 'Топливная цистерна',
	dsc_ = function(s)
		local v = 'Перед вами основная топливная цистерна левого двигателя. На дальней стене вы видите цементную нашлепку, сделанную на месте пробитой метеоритом дыры. Сзади вас, на востоке, находится люк. '
		if not objs():srch('rocket_fuel') then
			v = v..'Топлива здесь давно уже нет. ';
		end
		return v;
	end,
    obj = { 'hatch_20_21', 'canister' },
};
r_21 = iroom {
	dark = true,
	_north = 'r_17',
	_west = 'r_20',
    nam_ = 'Неширокий коридор',
	dsc_ = 'Этот неширокий коридорчик соединяет небольшую дверку на севере и ржавый люк на западе. В толстом слое пыли на полу можно разглядеть какие-то мелкие детальки и инструменты. ',
    obj = { 'door_17_21', 'hatch_20_21' },
};
r_22 = iroom {
	_south = 'r_28',
    _east = 'r_23',
    nam_ = 'Узкий коридор',
	dsc_ = function(s)
		local v = 'Этот узкий коридор ведет с юга на восток. Стены здесь помяты и исцарапаны. Наверно, это сделали вредные роботы, один из которых, ';
		if robot_22._dead then
			v = v..'с расплющеной в лепешку башкой, свисает с потолка, зацепившись ногой за полуоторванную панель. ';
		else
			v = v..'скрипя ржавыми суставами, надвигается на вас по потолку. Почему по потолку - неизвестно, может, ему так больше нравится, но выглядит он злобно. ';
		end
		return v;
	end,
    obj = { 'robot_22' },
};
r_23 = iroom {
	_north = 'r_18',
	_south = 'r_29',
	_east = 'r_24',
	_west = 'r_22',
	_up = nil, -- 'r_46'
    nam_ = 'Технический коридор',
	dsc_ = 'Этот технический коридор выглядит так, как будто им давно не пользовались. Единственное, что нарушает эту картину - цепочка каких-то странных следов, протянувшаяся с запада на восток. На юге вы видите толстый люк, с виду свинцовый. В углу приварена узкая лесенка. ',
    obj = { 'hatch_23_29', 'crampon_23', 'trace_23' },
};
r_24 = iroom {
	_south = 'r_30',
	_west = 'r_23',
    nam_ = 'Короткий коридор',
	dsc_ = 'Перед вами короткий коридорчик, идущий с запада на юг. У стены вы видите механическую тележку с порванной гусеницей, стоящую в луже пролитого электролита. ',
    obj = { 'cart_24' },
};
r_25 = iroom {
	dark = true,
	no_air = true,
	_north = 'r_19',
	_south = 'r_31',
    _east = 'r_26',
    nam_ = 'Узкий коридор',
	dsc_ = function(s)
		local v = 'Этот узкий коридорчик идет с севера на юг, огибая выступающую из восточной стены топливную цистерну. В боку цистерны наблюдается неплотно прилегающий круглый люк. ';
		if hatch_25_26._open then
			v = v..'Вытекающая из него струйка темного вещества образовала на полу лужу. ';
		end
		return v;
	end,
    obj = { 'hatch_25_26' },
};
r_26 = iroom {
	dark = true,
	no_air = true,
	_west = 'r_25',
    nam_ = 'Топливная цистерна',
	dsc_ = 'Вы находитесь в топливной цистерне. Она до половины залита топливом, которое тут же принялось тонкой струйкой вытекать через люк. Ваш скафандр мгновенно покрылся топливом и выглядит очень некрасиво. ',
    obj = { 'hatch_25_26', 'rocket_fuel' },
};
r_27 = iroom {
	dark = true,
	_east = 'r_28',
    nam_ = 'Система перегонки топлива',
	dsc_ = 'Вы вошли внутрь системы, перегоняющей топливо из цистерн к двигателям. Вокруг себя вы видите разнообразные трубы. На стене рядом с единственным выходом приклепан металлический ящичек. ',
    obj = { 'box_27', 'hole_27' },
};
r_28 = iroom {
	_north = 'r_22',
	_south = 'r_32',
	_west = 'r_27',
    nam_ = 'Широкий проход',
	dsc_ = 'Вы в широком проходе, ведущем с севера на запад. На восточной стене вы видите какую-то надпись, а в южной - узкий люк. ',
    obj = { 'hatch_28_32', 'inscription_28' },
};
r_29 = iroom {
	_north = 'r_23',
    nam_ = 'Главный реактор корабля',
	dsc_ = 'Пройдя через люк, вы попали в странное помещение. Стены здесь сделаны из свинца и сверху донизу облеплены светящейся слизью. Посреди комнаты стоит огромная установка - главный реактор корабля. От него идет множество труб, большинство из которых протекает. ',
    obj = { 'hatch_23_29', 'uranium_pool' },
};
r_30 = iroom {
	_north = 'r_24',
    nam_ = 'Маленькое помещение',
	dsc_ = 'Вы в маленьком помещении, обшитом с трех сторон листами пластика. Четвертая, восточная стена, сварена из обшивочных плит и производит впечатление сделанной недавно. На севере вы видите пустой дверной проем. ',
    obj = { 'wall_30' },
};
r_31 = iroom {
	dark = true,
	no_air = true,
	_north = 'r_25',
	_down = nil, -- 'r_52'
    nam_ = 'Система перегонки топлива',
	_crack = true,
	dsc_ = function(s)
		local v = 'Вы внутри системы перегонки топлива, обслуживавшей правый двигатель. Система выглядит совсем плохо: трубы полопались от внутреннего давления, все кабели кем-то выдраны. Около входа вы видите маленький ящичек. ';
		if s._crack then
			crack_31:enable();
			v = v..'Через весь пол идет широкая трещина. ';
		end
		return v;
	end,
    obj = { 'crack_31', 'box_31', 'cover_31', 'hole_31' },
};
r_32 = iroom {
	_north = 'r_28',
    nam_ = 'Левый двигатель',
	dsc_ = 'Пройдя сквозь люк, вы попали во внутренность левого двигателя. Многие детали здесь оплавлены, свисающие с потолка провода покрыты бахромой стекшей изоляции, но в целом двигатель выглядит исправным. ',
    obj = { 'hatch_28_32', 'book' },
};
r_33 = iroom {
	dark = true,
	no_air = true,
	_up = 'r_51',
    nam_ = 'Правый двигатель',
	dsc_ = 'Вы внутри правого двигателя. Все вокруг так изуродовано, как будто здесь взорвалась ядерная боеголовка. Этот двигатель пытались починить, но безуспешно: простым глазом видно, что легче просто заменить все системы. Скобы на одной из стен ведут вверх. ',
    obj = { 'crampon_33' },
};
r_34 = iroom {
	_south = 'r_36',
	_down = nil, -- 'r_41'
    nam_ = 'Просторный ангар',
	dsc_ = 'Вы в просторном ангаре, обшитом подплавленными и исцарапанными металлическими листами. Посреди ангара вы видите космическую шлюпку. За ней, у дальней стены, видна платформа лифта. ',
    obj = { 'boat_34', 'lift_34', 'button_34' },
};
r_35 = iroom {
    _east = 'r_36',
	_up = nil, -- 'r_6'
    nam_ = 'Небольшая комната',
	dsc_ = function(s)
		local v = 'Эта небольшая комнатка доверху завалена пустыми контейнерами и бутылками всевозможных форм и расцветок (тоже пустыми). На востоке вы видите выход, а у западной стены - платформу лифта. ';
		if objs():srch('robot_35') then
			v = v..'Также вы видите огромного и противного помятого робота, стоящего ';
			if robot_35._push then
				v = v..'у стены. ';
			else
				v = v..'посреди комнаты. ';
			end
		end
		return v;
	end,
    obj = { 'lift_35', 'robot_35', 'bottle_35' },
};
r_36 = iroom {
	_north = nil, -- 'r_34'
	_south = 'r_38',
	_west = 'r_35',
    nam_ = 'Небольшая комната',
	dsc_ = function(s)
		local v = 'Войдя в это помещение, вы тут же уперлись носом в стену. На западе вы видите пробитую в другой стене дыру, на юге - выход в трюм. ';
		if s._north ~= nil then
			v = v..'На севере, сквозь дыру в стене, можно разглядеть ангар. ';
		end
		return v;
	end,
    obj = { 'wall_36' },
};
r_37 = iroom {
	_up = 'r_8',
    nam_ = 'Арсенал корабля',
	dsc_ = 'Вы в арсенале корабля. Эта маленькая комнатка чуть не до потолка завалена всевозможным оружием, многое из которого странной формы и явно не подходит к вашей руке. Единственный выход отсюда - через лифт. ',
    obj = { 'lift_37', 'laser' },
};
r_38 = iroom {
    _north = nil, -- 'r_36'
    _south = 'r_39',
    nam_ = 'Трюм корабля',
	dsc_ = function(s)
		local v = 'Этот участок трюма освещен совсем плохо. Среди контейнеров вы видите проход на юг, в глубь трюма. ';
		if s._south ~= nil then
			v = v..'В конце прохода стоит шкаф, из его приоткрытой дверцы падает луч света. ';
		end
		return v;
	end,
    obj = { 'container_38', 'case_38', 'inscription_38' },
};
r_39 = iroom {
    _north = 'r_38',
    _south = nil, -- 'r_40'
	_up = 'r_14',
    nam_ = 'Трюм корабля',
	enter_ = function(s, from)
		if from == r_lock then
			if r_lock._pass == '2218' then
				if door_39_40._status == 2 then
					door_39_40._status = 1;
					status._command = 'Над замком загорелся зеленый индикатор. ';
				else
					door_39_40._status = 2;
					status._command = 'Индикатор над замком погас. Дверь закрылась. ';
				end
			else
				status._command = 'O.K, но ничего не произошло. ';
			end
		end
	end,
	dsc_ = 'Вы в обширном, довольно скудно освещенном помещении - трюме корабля. Вокруг вас стоят различной формы ящики. Панели южной стены чем-то поцарапаны, как будто здесь стояло еще несколько контейнеров. ',
    obj = { 'door_39_40', 'lock_39', 'inscription_39', 'lift_39', 'box_39', 'container_39', 'wall_39', 'panel_39' },
};
r_40 = iroom {
	dark = true,
    _north = 'r_39',
    nam_ = 'Корабельный сейф',
	dsc_ = function(s)
		local v = 'Вы находитесь в маленьком помещении - корабельном сейфе. Здесь совершенно пусто, если не считать ';
		if robot_40._dead then
			v = v..'валяющегося на полу';
		else
			v = v..'малюсенького, но страшного на вид бронированного';
		end
		return v..' робота. Сзади себя, на севере, вы видите металлическую дверку. ';
	end,
    obj = { 'door_39_40', 'robot_40' },
};
r_41 = iroom {
	no_air = true,
    _south = nil, -- 'r_43'
    _up = 'r_34',
    nam_ = 'Панель лифта',
	dsc_ = 'Вы находитесь в открытом космосе. Стоя на выдвинутой вниз из корпуса корабля панели лифта, вы можете видеть скобы, уходящие по обшивке на юг. В восточном направлении видна яркая красно-желтая звезда. ',
    obj = { 'lift_41', 'crampon_41', 'star_41' },
};
r_42 = iroom {
	no_air = true,
    _east = 'r_43',
    nam_ = 'Левый край днища корабля',
	dsc_ = 'Вы около самого края днища корабля. Недалеко от себя вы видите люк, закрывающий шахту посадочной опоры. Над вашей головой летают разные мелкие объекты - роботки, бутылки и прочая дребедень. ',
    obj = { 'hatch_42', 'crampon_42', 'bottle' },
};
r_43 = iroom {
	no_air = true,
    _north = 'r_41',
    _east = nil, -- 'r_44'
    _west = nil, -- 'r_42'
    nam_ = 'Центр днища корабля',
	dsc_ = 'Хватаясь за скобы, вы переместились на открытый участок. Перед вами обгорелая и избитая метеоритами обшивка корабля. Вы можете видеть скобы, уходящие по ней на север, восток и запад. На юге вы видите замороженный труп. ',
    obj = { 'crampon_north_43', 'crampon_east_43', 'crampon_west_43', 'body_43' },
};
r_44 = iroom {
	no_air = true,
    _west = 'r_43',
    nam_ = 'Правый край днища корабля',
	dsc_ = function(s)
		local v = 'На этой стороне днища корабля также имеется посадочная опора, но не в шахте - она блокирована съехавшим листом обшивки - а выдвинутая. На ней вы видите маленького круглого роботка, приваренного к одному из выступов. ';
		if robot_44._dead then
			v = v..'Он глупо вертит своей помятой башкой и выглядит очень смешно. ';
		else
			v = v..'Во рту у него торчит маленький ключ. ';
		end
		return v;
	end,
    obj = { 'crampon_44', 'robot_44' },
};
r_45 = iroom {
	dark = true,
    _south = 'r_48',
    _east = 'r_46',
    nam_ = 'Вентиляционная труба',
	dsc_ = 'Вы в вентиляционной трубе, ведущей на юг. На востоке вы видите небольшую дверь. Слабый ветерок дует с севера, из нескольких узких отверстий в северной стене. ',
    obj = { 'door_45_46' },
};
r_46 = iroom {
    _east = nil, -- 'r_47'
    _west = nil, -- 'r_45'
    _down = 'r_23',
    nam_ = 'Коридор техобслуживания вентиляции',
	_door = true,
	_hatch = true,
	_dark = true,
	dsc_ = function(s)
		local v = 'Этот коридорчик использовался для техобслуживания вентиляции, но в последнее время им пользовались скорее как складом. Везде здесь валяются какие-то банки, а у восточной стены навалена целая куча старых железяк. ';
		if check_light() then
			s._west = 'r_45';
			door_45_46:enable();
			v = v..'На западе вы видите дверь. ';
		else
			door_45_46:disable();
		end
		if not disabled('hatch_46_47') then
			v = v..'На востоке находится люк. ';
		end
		if disabled('door_45_46') then
			v = v..'Здесь довольно темно, и больше ничего не разглядеть. ';
		end
		return v;
	end,
    obj = { 'door_45_46', 'hatch_46_47', 'iron_46' },
};
r_47 = iroom {
	no_air = true,
    _south = 'r_49',
    _west = 'r_46',
    nam_ = 'Ржавая труба',
	dsc_ = 'Вы в ржавой металлической трубе, такой узкой, что едва можно повернуться. Она ведет с севера на юг, но северный конец заблокирован толстой решеткой. На западе вы видите люк. ',
    obj = { 'hatch_46_47' },
};
r_48 = iroom {
	dark = true,
    _north = 'r_45',
    _south = 'r_50',
    nam_ = 'Широкая труба',
	dsc_ = 'Вы ползете по довольно широкой трубе, покрытой потрескавшимся пластиком. Слабый ветерок дует с севера на юг, где виднеется какой-то механизм. ',
};
r_49 = iroom {
	no_air = true,
    _north = 'r_47',
    _south = 'r_51',
    nam_ = 'Край трубы',
	dsc_ = 'В этом месте труба расширяется. Ее поверхность исцарапана, как будто тут тащили какие-то объемистые предметы. На юге вы можете видеть окончание трубы, которое представляет из себя дыру с вывернутыми краями. ',
    obj = { 'boomerang' },
};
r_50 = iroom {
	dark = true,
    _north = 'r_48',
    nam_ = 'Насос охлаждения',
	_drive = true,
	dsc_ = function(s)
		local v = 'Вывалившись из трубы, вы оказались перед насосом, качающим воздух для охлаждения левого двигателя. Насос скрипит и брякает отошедшими деталями, но все же каким-то чудом продолжает работать. ';
		if s._drive then
			v = v..'Снизу доносятся взревывания работающего двигателя. ';
		end
		return v;
	end,
};
r_51 = iroom {
	no_air = true,
    _north = 'r_49',
	_south = 'r_52',
    _down = 'r_33',
    nam_ = 'Воздухонасос правого двигателя',
	dsc_ = 'В этом помещении когда-то находился воздухонасос правого двигателя, но теперь здесь все заполнено какими-то искореженными железяками. В южной стене видно отверстие с оплавленными краями, ведущее прямо в космос. В полу вы видите колодец со скобами внутри. ',
};
r_52 = iroom {
    _up = 'r_31',
    nam_ = 'Спасательная шлюпка',
	dsc_ = 'Вы находитесь в спасательной шлюпке, сваренной из каких-то прочных на вид листов. Обзорный экран, установленный здесь, выглядит так, как будто его делали не на земле. В целом, шлюпка производит впечатление вполне готовой к вылету. ',
    obj = { 'console_52', 'button_52', 'screen_52', 'lock_52', 'conductor_52' },
};
r_computer = room {
	_enable_4 = false,
	_pass = '',
	_message = '',
	_count = 0,
	_mode = 0,
	enter = function(s, from)
		s._mode = 0;
		s._count = 0;
		s._pass = '';
		s._message = '';
		me():disable_all();
		if from == r_7 and slot_7._insert == 'kart' then
			s._mode = 1;
			objs():disable_all();
			objs()[1]:enable();
		else
			objs():enable_all();
			objs()[1]:disable();
			objs()[2]:disable();
			objs()[3]:disable();
			objs()[4]:disable();
			objs()[5]:disable();
		end
	end,
	exit = function(s, to)
		me():enable_all();
	end,
    nam = function(s)
		if from() == r_4 then
			return 'Экран робота';
		elseif from() == r_7 then
			return 'Небольшой экранчик';
		else
			return '???';
		end
	end,
    dsc = function(s)
		local v;
		if from() == r_4 then
			v = 'Информационная система BERGA.8^';
			if s._enable_4 then
				v = v..'^';
			else
				v = v..'Включен режим блокировки!^';
			end
			v = v..'^Введите код: '..s._pass..'^^'..txtem(s._message);
			return v;
		elseif from() == r_7 then
			if s._mode == 0 then
				local v = '';
				if button_red_7._enable then
					v = v..'Система самоуничтожения активирована. Требуется включение. ^';
				elseif slot_7._insert == 'disk' then
					v = v..'^Система самоуничтожения запрограммирована. ^';
				end
				return v..'^Введите код: '..s._pass..'^^'..txtem(s._message);
			elseif s._mode == 1 then
				v = ComputerInfo(1);
				v = v..'^^На счету: '..txtem(m_kart._count..' понтов. ');
			elseif s._mode == 2 then
				v = '';
			elseif s._mode == 3 then
				v = ComputerInfo(0);
			elseif s._mode == 4 then
				v = ComputerInfo(1);
			elseif s._mode == 5 then
				v = ComputerInfo(2);
			elseif s._mode == 6 then
				v = ComputerInfo(3);
			elseif s._mode == 7 then
				v = ComputerInfo(4);
			elseif s._mode == 8 then
				v = 'Работа в системе невозможна. ';
				if s._enable_4 then
					v = v..'^Система занята выходом на курс. ';
				else
					v = v..'^Система заблокирована. ';
				end
			end
			return v;
		else
			return true;
		end
	end,
    act = function (s, w)
		if w == 'Exit' then
			walk(from());
		elseif w == 'Enter' then
			if from() == r_4 and s._pass == 'MUMMY' then
				s._enable_4 = true;
				s._message = '<ОШИБЛИСЬ>';
			elseif from() == r_7 and s._pass == 'BERGA' then
				s._mode = 2;
				objs():disable_all();
				objs()[3]:enable();
				objs()[4]:enable();
				objs()[5]:enable();
			elseif from() == r_7 and s._pass == 'MUMMY' then
				s._message = 'Подсистема демонтирована';
			elseif from() == r_7 and s._pass == 'KAPUT' then
				lift_8._enable = true;
				s._message = 'Лифт включен';
			elseif from() == r_7 and s._pass == 'PLANT' then
				lift_14._enable = true;
				s._message = 'Лифт включен';
			elseif from() == r_7 and s._pass == 'AMBAL' then
				lift_35._enable = true;
				s._message = 'Лифт включен';
			else
				s._mode = 0;
				s._message = 'Код неверен';
			end
			s._pass = '';
			s._count = 0;
		elseif w == 'Continue' then
			s._mode = s._mode + 1;
			if s._mode < 3 or s._mode > 6 then
				s._mode = 0;
				objs():enable_all();
				objs()[1]:disable();
				objs()[2]:disable();
				objs()[3]:disable();
				objs()[4]:disable();
				objs()[5]:disable();
			end
		elseif w == '1' then
			s._mode = 7;
			objs():disable_all();
			objs()[2]:enable();
		elseif w == '2' then
			s._mode = 3;
			objs():disable_all();
			objs()[2]:enable();
		elseif w == '3' then
			s._mode = 8;
			objs():disable_all();
			objs()[2]:enable();
		else
			s._message = '';
			if s._count < 5 then
				s._count = s._count + 1;
				s._pass = s._pass..w;
			end
		end
		return true;
	end,
    obj = { vobj ('Exit', '{Выход}'), vobj ('Continue', '{Далее . . .}'), vobj ('1', '{1. Бортжурнал}^'), vobj ('2', '^{2. Файл корабля}^'), vobj ('3', '^{3. Работа в системе}^'),
			vobj ('A', '{A}'), vobj ('B', '{B}'), vobj ('C', '{C}'), vobj ('D', '{D}'), vobj ('E', '{E}'), vobj ('F', '{F}'), vobj ('G', '{G}'), vobj ('H', '{H}'), vobj ('I', '{I}^'),
            vobj ('J', '{J}'), vobj ('K', '{K}'), vobj ('L', '{L}'), vobj ('M', '{M}'), vobj ('N', '{N}'), vobj ('O', '{O}'), vobj ('P', '{P}'), vobj ('Q', '{Q}'), vobj ('R', '{R}^'),
            vobj ('S', '{S}'), vobj ('T', '{T}'), vobj ('U', '{U}'), vobj ('V', '{V}'), vobj ('W', '{W}'), vobj ('X', '{X}'), vobj ('Y', '{Y}'), vobj ('Z', '{Z}'), vobj (' ', '{_}^'),
            vobj ('Enter', '{[ Enter ]}'), vobj ('Exit', '{[ Exit ]}') },
};
r_lock = room {
	_pass = '',
	_count = 0,
	enter = function(s, from)
		s._pass = '';
		s._count = 0;
		me():disable_all();
	end,
	exit = function(s, to)
		me():enable_all();
	end,
    nam = 'Цифровой замок',
    dsc = function(s)
		return '^Введите код: '..s._pass..'_';
	end,
    act = function (s, w)
		if w == 'Enter' then
			walk(from());
		else
			if s._count < 4 then
				s._count = s._count + 1;
				s._pass = s._pass..w;
			end
		end
		return true;
	end,
    obj = { vobj ('0', '{0}'), vobj ('1', '{1}'), vobj ('2', '{2}'), vobj ('3', '{3}'), vobj ('4', '{4}^'),
            vobj ('5', '{5}'), vobj ('6', '{6}'), vobj ('7', '{7}'), vobj ('8', '{8}'), vobj ('9', '{9}^'),
            vobj ('Enter', '{[ Enter ]}') },
};
